"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RedirectToHomeIfUnauthorized = RedirectToHomeIfUnauthorized;
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

function RedirectToHomeIfUnauthorized({
  coreStart,
  children
}) {
  var _capabilities$managem;
  const {
    application: {
      capabilities,
      navigateToApp
    }
  } = coreStart;
  const allowed = (_capabilities$managem = capabilities === null || capabilities === void 0 ? void 0 : capabilities.management) !== null && _capabilities$managem !== void 0 ? _capabilities$managem : false;
  if (!allowed) {
    navigateToApp('home');
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
}