"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProfilingFlamegraphLink = ProfilingFlamegraphLink;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _use_profiling_plugin = require("../../../../hooks/use_profiling_plugin");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function ProfilingFlamegraphLink({
  kuery,
  rangeFrom,
  rangeTo,
  justifyContent = 'flexStart'
}) {
  const {
    profilingLocators
  } = (0, _use_profiling_plugin.useProfilingPlugin)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    justifyContent: justifyContent
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    "data-test-subj": "apmProfilingFlamegraphGoToFlamegraphLink",
    href: profilingLocators === null || profilingLocators === void 0 ? void 0 : profilingLocators.flamegraphLocator.getRedirectUrl({
      kuery,
      rangeFrom,
      rangeTo
    })
  }, _i18n.i18n.translate('xpack.apm.profiling.flamegraph.link', {
    defaultMessage: 'Go to Universal Profiling Flamegraph'
  }))));
}