"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MockUrlParamsContextProvider = MockUrlParamsContextProvider;
var _react = _interopRequireDefault(require("react"));
var _url_params_context = require("./url_params_context");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const defaultUrlParams = {
  page: 0,
  serviceName: 'opbeans-python',
  transactionType: 'request',
  start: '2018-01-10T09:51:41.050Z',
  end: '2018-01-10T10:06:41.050Z'
};
function MockUrlParamsContextProvider({
  params,
  children,
  refreshTimeRange = () => undefined
}) {
  const urlParams = {
    ...defaultUrlParams,
    ...params
  };
  return /*#__PURE__*/_react.default.createElement(_url_params_context.UrlParamsContext.Provider, {
    value: {
      rangeId: 0,
      refreshTimeRange,
      urlParams
    },
    children: children
  });
}