"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Datasource = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _no_datasource = require("./no_datasource");
var _datasource_component = require("./datasource_component");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Datasource = props => {
  const {
    datasource,
    stateDatasource
  } = props;
  if (!datasource || !stateDatasource) {
    return /*#__PURE__*/_react.default.createElement(_no_datasource.NoDatasource, props);
  }
  return /*#__PURE__*/_react.default.createElement(_datasource_component.DatasourceComponent, props);
};
exports.Datasource = Datasource;
Datasource.propTypes = {
  args: _propTypes.default.object,
  datasource: _propTypes.default.object,
  unknownArgs: _propTypes.default.array
};