"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FunctionUnknown = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const strings = {
  getUnknownArgumentTypeErrorMessage: expressionType => _i18n.i18n.translate('xpack.canvas.functionForm.functionUnknown.unknownArgumentTypeError', {
    defaultMessage: 'Unknown expression type "{expressionType}"',
    values: {
      expressionType
    }
  })
};
const FunctionUnknown = ({
  argType
}) => /*#__PURE__*/_react.default.createElement("div", {
  className: "canvasFunctionForm canvasFunctionForm--unknown-expression"
}, strings.getUnknownArgumentTypeErrorMessage(argType));
exports.FunctionUnknown = FunctionUnknown;
FunctionUnknown.propTypes = {
  argType: _propTypes.default.string
};