"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.AllCases = void 0;
var _react = _interopRequireWildcard(require("react"));
var _navigation = require("../../common/navigation");
var _use_get_action_license = require("../../containers/use_get_action_license");
var _case_callouts = require("../callouts/case_callouts");
var _use_breadcrumbs = require("../use_breadcrumbs");
var _helpers = require("../use_push_to_service/helpers");
var _all_cases_list = require("./all_cases_list");
var _header = require("./header");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AllCases = () => {
  (0, _use_breadcrumbs.useCasesBreadcrumbs)(_navigation.CasesDeepLinkId.cases);
  const {
    data: actionLicense = null
  } = (0, _use_get_action_license.useGetActionLicense)();
  const actionsErrors = (0, _react.useMemo)(() => (0, _helpers.getActionLicenseError)(actionLicense), [actionLicense]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_case_callouts.CaseCallouts, null), /*#__PURE__*/_react.default.createElement(_header.CasesTableHeader, {
    actionsErrors: actionsErrors
  }), /*#__PURE__*/_react.default.createElement(_all_cases_list.AllCasesList, null));
};
exports.default = exports.AllCases = AllCases;
AllCases.displayName = 'AllCases';

// eslint-disable-next-line import/no-default-export