"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TOTAL_CONNECTORS_METRIC = exports.TOTAL_ALERTS_METRIC = exports.ISOLATED_HOSTS_METRIC = exports.CASE_REOPENED_ON = exports.CASE_REOPENED = exports.CASE_OPEN_TO_CLOSE_DURATION = exports.CASE_OPEN_DURATION = exports.CASE_IN_PROGRESS_DURATION = exports.CASE_CREATED = exports.ASSOCIATED_USERS_METRIC = exports.ASSOCIATED_HOSTS_METRIC = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TOTAL_ALERTS_METRIC = exports.TOTAL_ALERTS_METRIC = _i18n.i18n.translate('xpack.cases.caseView.metrics.totalAlerts', {
  defaultMessage: 'Total alerts'
});
const ASSOCIATED_USERS_METRIC = exports.ASSOCIATED_USERS_METRIC = _i18n.i18n.translate('xpack.cases.caseView.metrics.associatedUsers', {
  defaultMessage: 'Associated users'
});
const ASSOCIATED_HOSTS_METRIC = exports.ASSOCIATED_HOSTS_METRIC = _i18n.i18n.translate('xpack.cases.caseView.metrics.associatedHosts', {
  defaultMessage: 'Associated hosts'
});
const ISOLATED_HOSTS_METRIC = exports.ISOLATED_HOSTS_METRIC = _i18n.i18n.translate('xpack.cases.caseView.metrics.isolatedHosts', {
  defaultMessage: 'Isolated hosts'
});
const TOTAL_CONNECTORS_METRIC = exports.TOTAL_CONNECTORS_METRIC = _i18n.i18n.translate('xpack.cases.caseView.metrics.totalConnectors', {
  defaultMessage: 'Total connectors'
});
const CASE_CREATED = exports.CASE_CREATED = _i18n.i18n.translate('xpack.cases.caseView.metrics.lifespan.caseCreated', {
  defaultMessage: 'Case created'
});
const CASE_IN_PROGRESS_DURATION = exports.CASE_IN_PROGRESS_DURATION = _i18n.i18n.translate('xpack.cases.caseView.metrics.lifespan.inProgressDuration', {
  defaultMessage: 'In progress duration'
});
const CASE_OPEN_DURATION = exports.CASE_OPEN_DURATION = _i18n.i18n.translate('xpack.cases.caseView.metrics.lifespan.openDuration', {
  defaultMessage: 'Open duration'
});
const CASE_OPEN_TO_CLOSE_DURATION = exports.CASE_OPEN_TO_CLOSE_DURATION = _i18n.i18n.translate('xpack.cases.caseView.metrics.lifespan.openToCloseDuration', {
  defaultMessage: 'Duration from creation to close'
});
const CASE_REOPENED = exports.CASE_REOPENED = _i18n.i18n.translate('xpack.cases.caseView.metrics.lifespan.reopened', {
  defaultMessage: '(reopened)'
});
const CASE_REOPENED_ON = exports.CASE_REOPENED_ON = _i18n.i18n.translate('xpack.cases.caseView.metrics.lifespan.reopenedOn', {
  defaultMessage: 'Reopened '
});