"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeprecatedCallout = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DEPRECATED_CONNECTOR_WARNING_TITLE = _i18n.i18n.translate('xpack.cases.connectors.serviceNow.deprecatedConnectorWarningTitle', {
  defaultMessage: 'This connector type is deprecated'
});
const DEPRECATED_CONNECTOR_WARNING_DESC = _i18n.i18n.translate('xpack.cases.connectors.serviceNow.deprecatedConnectorWarningDesc', {
  defaultMessage: 'Update this connector, or create a new one.'
});
const DeprecatedCalloutComponent = ({
  type = 'warning'
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
  title: DEPRECATED_CONNECTOR_WARNING_TITLE,
  color: type,
  iconType: "warning",
  "data-test-subj": "deprecated-connector-warning-callout"
}, DEPRECATED_CONNECTOR_WARNING_DESC);
DeprecatedCalloutComponent.displayName = 'DeprecatedCallout';
const DeprecatedCallout = exports.DeprecatedCallout = /*#__PURE__*/_react.default.memo(DeprecatedCalloutComponent);