"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  STEP_ONE_TITLE: true,
  STEP_TWO_TITLE: true,
  STEP_THREE_TITLE: true,
  STEP_FOUR_TITLE: true,
  ADDITIONAL_FIELDS: true,
  SYNC_ALERTS_LABEL: true,
  ASSIGN_YOURSELF: true,
  MODAL_TITLE: true,
  CANCEL_MODAL_BUTTON: true,
  CONFIRM_MODAL_BUTTON: true,
  TEMPLATE_LABEL: true,
  TEMPLATE_HELP_TEXT: true,
  SOLUTION_SELECTOR_LABEL: true
};
exports.TEMPLATE_LABEL = exports.TEMPLATE_HELP_TEXT = exports.SYNC_ALERTS_LABEL = exports.STEP_TWO_TITLE = exports.STEP_THREE_TITLE = exports.STEP_ONE_TITLE = exports.STEP_FOUR_TITLE = exports.SOLUTION_SELECTOR_LABEL = exports.MODAL_TITLE = exports.CONFIRM_MODAL_BUTTON = exports.CANCEL_MODAL_BUTTON = exports.ASSIGN_YOURSELF = exports.ADDITIONAL_FIELDS = void 0;
var _i18n = require("@kbn/i18n");
var _translations = require("../../common/translations");
Object.keys(_translations).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _translations[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _translations[key];
    }
  });
});
var _translations2 = require("../user_profiles/translations");
Object.keys(_translations2).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _translations2[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _translations2[key];
    }
  });
});
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const STEP_ONE_TITLE = exports.STEP_ONE_TITLE = _i18n.i18n.translate('xpack.cases.create.stepOneTitle', {
  defaultMessage: 'Select template'
});
const STEP_TWO_TITLE = exports.STEP_TWO_TITLE = _i18n.i18n.translate('xpack.cases.create.stepTwoTitle', {
  defaultMessage: 'Case fields'
});
const STEP_THREE_TITLE = exports.STEP_THREE_TITLE = _i18n.i18n.translate('xpack.cases.create.stepThreeTitle', {
  defaultMessage: 'Case settings'
});
const STEP_FOUR_TITLE = exports.STEP_FOUR_TITLE = _i18n.i18n.translate('xpack.cases.create.stepFourTitle', {
  defaultMessage: 'External Connector Fields'
});
const ADDITIONAL_FIELDS = exports.ADDITIONAL_FIELDS = _i18n.i18n.translate('xpack.cases.create.additionalFields', {
  defaultMessage: 'Additional fields'
});
const SYNC_ALERTS_LABEL = exports.SYNC_ALERTS_LABEL = _i18n.i18n.translate('xpack.cases.create.syncAlertsLabel', {
  defaultMessage: 'Sync alert status with case status'
});
const ASSIGN_YOURSELF = exports.ASSIGN_YOURSELF = _i18n.i18n.translate('xpack.cases.create.assignYourself', {
  defaultMessage: 'Assign yourself'
});
const MODAL_TITLE = exports.MODAL_TITLE = _i18n.i18n.translate('xpack.cases.create.modalTitle', {
  defaultMessage: 'Discard case?'
});
const CANCEL_MODAL_BUTTON = exports.CANCEL_MODAL_BUTTON = _i18n.i18n.translate('xpack.cases.create.cancelModalButton', {
  defaultMessage: 'Cancel'
});
const CONFIRM_MODAL_BUTTON = exports.CONFIRM_MODAL_BUTTON = _i18n.i18n.translate('xpack.cases.create.confirmModalButton', {
  defaultMessage: 'Exit without saving'
});
const TEMPLATE_LABEL = exports.TEMPLATE_LABEL = _i18n.i18n.translate('xpack.cases.create.templateLabel', {
  defaultMessage: 'Template name'
});
const TEMPLATE_HELP_TEXT = exports.TEMPLATE_HELP_TEXT = _i18n.i18n.translate('xpack.cases.create.templateHelpText', {
  defaultMessage: 'Select a template to use its default field values.'
});
const SOLUTION_SELECTOR_LABEL = exports.SOLUTION_SELECTOR_LABEL = _i18n.i18n.translate('xpack.cases.create.solutionSelectorLabel', {
  defaultMessage: 'Create case under:'
});