"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileAttachmentEvent = void 0;
var _react = _interopRequireDefault(require("react"));
var _file_name_link = require("./file_name_link");
var _file_preview = require("./file_preview");
var i18n = _interopRequireWildcard(require("./translations"));
var _use_file_preview = require("./use_file_preview");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FileAttachmentEvent = ({
  file
}) => {
  const {
    isPreviewVisible,
    showPreview,
    closePreview
  } = (0, _use_file_preview.useFilePreview)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, i18n.ADDED, /*#__PURE__*/_react.default.createElement(_file_name_link.FileNameLink, {
    file: file,
    showPreview: showPreview
  }), isPreviewVisible && /*#__PURE__*/_react.default.createElement(_file_preview.FilePreview, {
    closePreview: closePreview,
    selectedFile: file
  }));
};
exports.FileAttachmentEvent = FileAttachmentEvent;
FileAttachmentEvent.displayName = 'FileAttachmentEvent';