"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HostIsolationCommentEvent = void 0;
var _react = _interopRequireWildcard(require("react"));
var i18n = _interopRequireWildcard(require("../translations"));
var _links = require("../../links");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const HostIsolationCommentEventComponent = ({
  type,
  endpoints,
  href,
  onClick
}) => {
  const endpointDetailsHref = href ? href(endpoints[0].endpointId) : '';
  const onLinkClick = (0, _react.useCallback)(ev => {
    ev.preventDefault();
    if (onClick) onClick(endpoints[0].endpointId, ev);
  }, [onClick, endpoints]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, type === 'isolate' ? `${i18n.ISOLATED_HOST} ` : `${i18n.RELEASED_HOST} `, /*#__PURE__*/_react.default.createElement(_links.LinkAnchor, {
    onClick: onLinkClick,
    href: endpointDetailsHref,
    "data-test-subj": `actions-link-${endpoints[0].endpointId}`
  }, endpoints[0].hostname), endpoints.length > 1 && i18n.OTHER_ENDPOINTS(endpoints.length - 1));
};
HostIsolationCommentEventComponent.displayName = 'HostIsolationCommentEvent';
const HostIsolationCommentEvent = exports.HostIsolationCommentEvent = /*#__PURE__*/(0, _react.memo)(HostIsolationCommentEventComponent);