"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserActionTimestamp = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _localized_date_tooltip = require("../localized_date_tooltip");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UserActionTimestampComponent = ({
  createdAt,
  updatedAt
}) => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_localized_date_tooltip.LocalizedDateTooltip, {
  date: new Date(createdAt)
}, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedRelative, {
  "data-test-subj": "user-action-title-creation-relative-time",
  value: createdAt
})), updatedAt && /*#__PURE__*/_react.default.createElement(_eui.EuiTextColor, {
  color: "subdued"
}, ' (', i18n.EDITED_FIELD, ' ', /*#__PURE__*/_react.default.createElement(_localized_date_tooltip.LocalizedDateTooltip, {
  date: new Date(updatedAt)
}, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedRelative, {
  "data-test-subj": "user-action-title-edited-relative-time",
  value: updatedAt
})), ')'));
UserActionTimestampComponent.displayName = 'UserActionTimestamp';
const UserActionTimestamp = exports.UserActionTimestamp = /*#__PURE__*/(0, _react.memo)(UserActionTimestampComponent);