"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useContentClient = exports.ContentClientProvider = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactQuery = require("@tanstack/react-query");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const ContentClientContext = /*#__PURE__*/_react.default.createContext(null);
const useContentClient = () => {
  const contentClient = _react.default.useContext(ContentClientContext);
  if (!contentClient) throw new Error('contentClient not found');
  return contentClient;
};
exports.useContentClient = useContentClient;
const ContentClientProvider = ({
  contentClient,
  children
}) => {
  return /*#__PURE__*/_react.default.createElement(ContentClientContext.Provider, {
    value: contentClient
  }, /*#__PURE__*/_react.default.createElement(_reactQuery.QueryClientProvider, {
    client: contentClient.queryClient
  }, children));
};
exports.ContentClientProvider = ContentClientProvider;