"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CONTROL_WIDTH_OPTIONS = exports.CONTROL_LAYOUT_OPTIONS = void 0;
var _control_group_strings = require("../control_group_strings");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const CONTROL_WIDTH_OPTIONS = exports.CONTROL_WIDTH_OPTIONS = [{
  id: `small`,
  'data-test-subj': 'control-editor-width-small',
  label: _control_group_strings.ControlGroupStrings.management.controlWidth.getSmallWidthTitle()
}, {
  id: `medium`,
  'data-test-subj': 'control-editor-width-medium',
  label: _control_group_strings.ControlGroupStrings.management.controlWidth.getMediumWidthTitle()
}, {
  id: `large`,
  'data-test-subj': 'control-editor-width-large',
  label: _control_group_strings.ControlGroupStrings.management.controlWidth.getLargeWidthTitle()
}];
const CONTROL_LAYOUT_OPTIONS = exports.CONTROL_LAYOUT_OPTIONS = [{
  id: `oneLine`,
  'data-test-subj': 'control-editor-layout-oneLine',
  label: _control_group_strings.ControlGroupStrings.management.labelPosition.getInlineTitle()
}, {
  id: `twoLine`,
  'data-test-subj': 'control-editor-layout-twoLine',
  label: _control_group_strings.ControlGroupStrings.management.labelPosition.getAboveTitle()
}];