"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateAliases = void 0;
var Either = _interopRequireWildcard(require("fp-ts/lib/Either"));
var _helpers = require("../../../model/helpers");
var _actions = require("../../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const updateAliases = (state, res, context) => {
  if (Either.isLeft(res)) {
    const left = res.left;
    if ((0, _actions.isTypeof)(left, 'alias_not_found_exception')) {
      // Should never occur given a single operator is supposed to perform the migration.
      // we just terminate in that case
      return {
        ...state,
        controlState: 'FATAL',
        reason: `Alias missing during alias update`
      };
    } else if ((0, _actions.isTypeof)(left, 'index_not_found_exception')) {
      // Should never occur given a single operator is supposed to perform the migration.
      // we just terminate in that case
      return {
        ...state,
        controlState: 'FATAL',
        reason: `Index ${left.index} missing during alias update`
      };
    } else {
      (0, _helpers.throwBadResponse)(state, left);
    }
  }
  return {
    ...state,
    controlState: 'INDEX_STATE_UPDATE_DONE'
  };
};
exports.updateAliases = updateAliases;