"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applicationServiceFactory = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const applicationServiceFactory = ({
  coreStart
}) => {
  const {
    application: {
      currentAppId$,
      navigateToApp,
      navigateToUrl,
      getUrlForApp,
      capabilities: {
        advancedSettings,
        maps,
        navLinks,
        visualize
      }
    }
  } = coreStart;
  return {
    currentAppId$,
    navigateToApp,
    navigateToUrl,
    getUrlForApp,
    capabilities: {
      advancedSettings,
      maps,
      navLinks,
      visualize
    }
  };
};
exports.applicationServiceFactory = applicationServiceFactory;