"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateMappingChain = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const noop = () => {
  throw new Error('No mappings have been found for filter.');
};
const generateMappingChain = (fn, next = noop) => {
  return filter => {
    try {
      return fn(filter);
    } catch (result) {
      if (result === filter) {
        return next(filter);
      }
      throw result;
    }
  };
};
exports.generateMappingChain = generateMappingChain;