"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getQueryLog = getQueryLog;
var _persisted_log = require("../persisted_log");
var _common = require("../../../common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/** @internal */
function getQueryLog(uiSettings, storage, appName, language) {
  return new _persisted_log.PersistedLog(`typeahead:${appName}-${language}`, {
    maxLength: uiSettings.get(_common.UI_SETTINGS.HISTORY_LIMIT),
    filterDuplicates: true
  }, storage);
}