"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ES_SEARCH_STRATEGY: true,
  extractSearchSourceReferences: true,
  getSearchParamsFromRequest: true,
  injectSearchSourceReferences: true,
  parseSearchSourceJSON: true,
  SearchSource: true,
  SortDirection: true,
  SessionService: true,
  SearchSessionState: true,
  SessionsClient: true,
  noSearchSessionStorageCapabilityMessage: true,
  SEARCH_SESSIONS_MANAGEMENT_ID: true,
  waitUntilNextSessionCompletes$: true,
  getEsPreference: true,
  SearchInterceptor: true,
  SearchService: true
};
Object.defineProperty(exports, "ES_SEARCH_STRATEGY", {
  enumerable: true,
  get: function () {
    return _search.ES_SEARCH_STRATEGY;
  }
});
Object.defineProperty(exports, "SEARCH_SESSIONS_MANAGEMENT_ID", {
  enumerable: true,
  get: function () {
    return _session.SEARCH_SESSIONS_MANAGEMENT_ID;
  }
});
Object.defineProperty(exports, "SearchInterceptor", {
  enumerable: true,
  get: function () {
    return _search_interceptor.SearchInterceptor;
  }
});
Object.defineProperty(exports, "SearchService", {
  enumerable: true,
  get: function () {
    return _search_service.SearchService;
  }
});
Object.defineProperty(exports, "SearchSessionState", {
  enumerable: true,
  get: function () {
    return _session.SearchSessionState;
  }
});
Object.defineProperty(exports, "SearchSource", {
  enumerable: true,
  get: function () {
    return _search.SearchSource;
  }
});
Object.defineProperty(exports, "SessionService", {
  enumerable: true,
  get: function () {
    return _session.SessionService;
  }
});
Object.defineProperty(exports, "SessionsClient", {
  enumerable: true,
  get: function () {
    return _session.SessionsClient;
  }
});
Object.defineProperty(exports, "SortDirection", {
  enumerable: true,
  get: function () {
    return _search.SortDirection;
  }
});
Object.defineProperty(exports, "extractSearchSourceReferences", {
  enumerable: true,
  get: function () {
    return _search.extractReferences;
  }
});
Object.defineProperty(exports, "getEsPreference", {
  enumerable: true,
  get: function () {
    return _es_search.getEsPreference;
  }
});
Object.defineProperty(exports, "getSearchParamsFromRequest", {
  enumerable: true,
  get: function () {
    return _search.getSearchParamsFromRequest;
  }
});
Object.defineProperty(exports, "injectSearchSourceReferences", {
  enumerable: true,
  get: function () {
    return _search.injectReferences;
  }
});
Object.defineProperty(exports, "noSearchSessionStorageCapabilityMessage", {
  enumerable: true,
  get: function () {
    return _session.noSearchSessionStorageCapabilityMessage;
  }
});
Object.defineProperty(exports, "parseSearchSourceJSON", {
  enumerable: true,
  get: function () {
    return _search.parseSearchSourceJSON;
  }
});
Object.defineProperty(exports, "waitUntilNextSessionCompletes$", {
  enumerable: true,
  get: function () {
    return _session.waitUntilNextSessionCompletes$;
  }
});
var _expressions = require("./expressions");
Object.keys(_expressions).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _expressions[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _expressions[key];
    }
  });
});
var _search = require("../../common/search");
var _session = require("./session");
var _es_search = require("./es_search");
var _search_interceptor = require("./search_interceptor");
var _search_service = require("./search_service");