"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatasetQualityLocatorDefinition = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _types = require("./types");
var _construct_dataset_quality_locator_path = require("./construct_dataset_quality_locator_path");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class DatasetQualityLocatorDefinition {
  constructor(deps) {
    (0, _defineProperty2.default)(this, "id", _types.DATA_QUALITY_LOCATOR_ID);
    (0, _defineProperty2.default)(this, "getLocation", async params => {
      const {
        useHash,
        managementLocator
      } = this.deps;
      return await (0, _construct_dataset_quality_locator_path.constructDatasetQualityLocatorPath)({
        useHash,
        managementLocator,
        locatorParams: params
      });
    });
    this.deps = deps;
  }
}
exports.DatasetQualityLocatorDefinition = DatasetQualityLocatorDefinition;