"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DiscoverSingleDocLocatorDefinition = exports.DISCOVER_SINGLE_DOC_LOCATOR = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const DISCOVER_SINGLE_DOC_LOCATOR = exports.DISCOVER_SINGLE_DOC_LOCATOR = 'DISCOVER_SINGLE_DOC_LOCATOR';
class DiscoverSingleDocLocatorDefinition {
  constructor() {
    (0, _defineProperty2.default)(this, "id", DISCOVER_SINGLE_DOC_LOCATOR);
    (0, _defineProperty2.default)(this, "getLocation", async params => {
      const {
        index,
        rowId,
        rowIndex,
        referrer
      } = params;
      let dataViewId;
      const state = {
        referrer
      };
      if (typeof index === 'object') {
        state.dataViewSpec = index;
        dataViewId = index.id;
      } else {
        dataViewId = index;
      }
      const path = `#/doc/${dataViewId}/${rowIndex}?id=${encodeURIComponent(rowId)}`;
      return {
        app: 'discover',
        path,
        state
      };
    });
  }
}
exports.DiscoverSingleDocLocatorDefinition = DiscoverSingleDocLocatorDefinition;