"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.apiHasDynamicActions = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const apiHasDynamicActions = api => {
  const apiMaybeHasDynamicActions = api;
  return Boolean(apiMaybeHasDynamicActions && apiMaybeHasDynamicActions.enhancements && typeof apiMaybeHasDynamicActions.enhancements.dynamicActions === 'object' && typeof apiMaybeHasDynamicActions.setDynamicActions === 'function' && apiMaybeHasDynamicActions.dynamicActionsState$);
};
exports.apiHasDynamicActions = apiHasDynamicActions;