"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Analytics = void 0;
var _react = _interopRequireDefault(require("react"));
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _is_version_mismatch = require("../../../common/is_version_mismatch");
var _version_mismatch = require("../shared/version_mismatch");
var _analytics_collection_view = require("./components/analytics_collection_view/analytics_collection_view");
var _analytics_overview = require("./components/analytics_overview/analytics_overview");
var _routes = require("./routes");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Analytics = props => {
  const {
    enterpriseSearchVersion,
    kibanaVersion
  } = props;
  const incompatibleVersions = (0, _is_version_mismatch.isVersionMismatch)(enterpriseSearchVersion, kibanaVersion);
  return /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Routes, null, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    exact: true,
    path: _routes.ROOT_PATH
  }, incompatibleVersions ? /*#__PURE__*/_react.default.createElement(_version_mismatch.VersionMismatchPage, {
    enterpriseSearchVersion: enterpriseSearchVersion,
    kibanaVersion: kibanaVersion
  }) : /*#__PURE__*/_react.default.createElement(_analytics_overview.AnalyticsOverview, null)), /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: _routes.COLLECTION_VIEW_PATH
  }, /*#__PURE__*/_react.default.createElement(_analytics_collection_view.AnalyticsCollectionView, null)));
};
exports.Analytics = Analytics;