"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnalyticsSearch = void 0;
var _react = _interopRequireWildcard(require("react"));
var _kea = require("kea");
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _kibana = require("../../../../shared/kibana");
var _routes = require("../../../routes");
var _engine = require("../../engine");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AnalyticsSearch = () => {
  const [searchValue, setSearchValue] = (0, _react.useState)('');
  const {
    navigateToUrl
  } = (0, _kea.useValues)(_kibana.KibanaLogic);
  const viewQueryDetails = e => {
    e.preventDefault();
    const query = searchValue || '""';
    navigateToUrl((0, _engine.generateEnginePath)(_routes.ENGINE_ANALYTICS_QUERY_DETAIL_PATH, {
      query
    }));
  };
  return /*#__PURE__*/_react.default.createElement("form", {
    onSubmit: viewQueryDetails
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    alignItems: "center",
    gutterSize: "m",
    responsive: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFieldSearch, {
    value: searchValue,
    onChange: e => setSearchValue(e.target.value),
    placeholder: _i18n.i18n.translate('xpack.enterpriseSearch.appSearch.engine.analytics.queryDetailSearchPlaceholder', {
      defaultMessage: 'Go to search term'
    }),
    fullWidth: true
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
    type: "submit"
  }, _i18n.i18n.translate('xpack.enterpriseSearch.appSearch.engine.analytics.queryDetailSearchButtonLabel', {
    defaultMessage: 'View details'
  })))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, null));
};
exports.AnalyticsSearch = AnalyticsSearch;