"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Playground = void 0;
var _react = _interopRequireDefault(require("react"));
var _kea = require("kea");
var _i18n = require("@kbn/i18n");
var _kibana = require("../../../shared/kibana");
var _page_template = require("../layout/page_template");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Playground = () => {
  const {
    searchPlayground
  } = (0, _kea.useValues)(_kibana.KibanaLogic);
  if (!searchPlayground) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(searchPlayground.PlaygroundProvider, null, /*#__PURE__*/_react.default.createElement(_page_template.EnterpriseSearchApplicationsPageTemplate, {
    pageChrome: [_i18n.i18n.translate('xpack.enterpriseSearch.content.playground.breadcrumb', {
      defaultMessage: 'Playground'
    })],
    pageViewTelemetry: "Playground",
    restrictWidth: false,
    panelled: false,
    customPageSections: true,
    bottomBorder: "extended",
    docLink: "playground"
  }, /*#__PURE__*/_react.default.createElement(searchPlayground.Playground, null)));
};
exports.Playground = Playground;