"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDocument = exports.GetDocumentsApiLogic = void 0;
var _create_api_logic = require("../../../shared/api_logic/create_api_logic");
var _http = require("../../../shared/http");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getDocument = async ({
  indexName,
  documentId
}) => {
  const route = `/internal/enterprise_search/indices/${indexName}/document/${documentId}`;
  return await _http.HttpLogic.values.http.get(route);
};
exports.getDocument = getDocument;
const GetDocumentsApiLogic = exports.GetDocumentsApiLogic = (0, _create_api_logic.createApiLogic)(['get_documents_logic'], getDocument);