"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TooltipHeader = void 0;
var _react = _interopRequireDefault(require("react"));
var _endzone_tooltip_header = require("./endzone_tooltip_header");
var _utils = require("./utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const TooltipHeader = ({
  value,
  formatter,
  xDomain
}) => {
  const renderEndzoneHeader = xDomain && typeof value === 'number' ? (0, _utils.isEndzoneBucket)(value, xDomain) : undefined;
  if (renderEndzoneHeader) {
    return /*#__PURE__*/_react.default.createElement(_endzone_tooltip_header.EndzoneTooltipHeader, {
      value: formatter(value)
    });
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, formatter(value));
};
exports.TooltipHeader = TooltipHeader;