"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConfirmEnrollmentTokenDelete = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConfirmEnrollmentTokenDelete = props => {
  const {
    onCancel,
    onConfirm,
    enrollmentKey
  } = props;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiConfirmModal, {
    title: _i18n.i18n.translate('xpack.fleet.enrollmentTokenDeleteModal.title', {
      defaultMessage: 'Revoke enrollment token'
    }),
    onCancel: onCancel,
    onConfirm: onConfirm,
    cancelButtonText: _i18n.i18n.translate('xpack.fleet.enrollmentTokenDeleteModal.cancelButton', {
      defaultMessage: 'Cancel'
    }),
    confirmButtonText: _i18n.i18n.translate('xpack.fleet.enrollmentTokenDeleteModal.deleteButton', {
      defaultMessage: 'Revoke enrollment token'
    }),
    defaultFocusedButton: "confirm",
    buttonColor: "danger"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    title: _i18n.i18n.translate('xpack.fleet.enrollmentTokenDeleteModal.description', {
      defaultMessage: 'Are you sure you want to revoke {keyName}? New agents will no longer be able to be enrolled using this token.',
      values: {
        keyName: enrollmentKey.name
      }
    }),
    color: "danger"
  }));
};
exports.ConfirmEnrollmentTokenDelete = ConfirmEnrollmentTokenDelete;