"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useConfirmForceInstall = void 0;
var _reactKibanaMount = require("@kbn/react-kibana-mount");
var _react = _interopRequireWildcard(require("react"));
var _hooks = require("../../fleet/hooks");
var _components = require("../components");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const confirmForceInstall = ({
  pkg,
  core
}) => new Promise(resolve => {
  const session = core.overlays.openModal((0, _reactKibanaMount.toMountPoint)( /*#__PURE__*/_react.default.createElement(_components.ConfirmForceInstallModal, {
    pkg: pkg,
    onConfirm: () => {
      session.close();
      resolve(true);
    },
    onCancel: () => {
      session.close();
      resolve(false);
    },
    docLinks: core.docLinks
  }), core));
});
const useConfirmForceInstall = () => {
  const core = (0, _hooks.useStartServices)();
  return (0, _react.useCallback)(pkg => confirmForceInstall({
    pkg,
    core
  }), [core]);
};
exports.useConfirmForceInstall = useConfirmForceInstall;