"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingIntegrationContent = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const MissingIntegrationContent = ({
  resetQuery,
  setSelectedCategory,
  setUrlandPushHistory
}) => {
  const handleCustomInputsLinkClick = (0, _react.useCallback)(() => {
    resetQuery();
    setSelectedCategory('custom');
    setUrlandPushHistory({
      categoryId: 'custom',
      subCategoryId: ''
    });
  }, [resetQuery, setSelectedCategory, setUrlandPushHistory]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s",
    color: "subdued"
  }, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.fleet.integrations.missing",
    defaultMessage: "Don't see an integration? Collect any logs or metrics using our {customInputsLink}. Request new integrations in our {forumLink}.",
    values: {
      customInputsLink: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        onClick: handleCustomInputsLinkClick
      }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.fleet.integrations.customInputsLink",
        defaultMessage: "custom inputs"
      })),
      forumLink: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: "https://discuss.elastic.co/tag/integrations",
        external: true,
        target: "_blank"
      }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.fleet.integrations.discussForumLink",
        defaultMessage: "forum"
      }))
    }
  })));
};
exports.MissingIntegrationContent = MissingIntegrationContent;