"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderApp = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDom = require("react-dom");
var _shared_imports = require("../shared_imports");
var _app = require("./app");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const renderApp = (startServices, element, history, application, breadcrumbService, license, docLinks, executionContext, cloud) => {
  const {
    navigateToUrl,
    getUrlForApp
  } = application;
  const {
    overlays,
    http
  } = startServices;
  (0, _reactDom.render)( /*#__PURE__*/_react.default.createElement(_shared_imports.KibanaRenderContextProvider, startServices, /*#__PURE__*/_react.default.createElement("div", {
    className: _shared_imports.APP_WRAPPER_CLASS
  }, /*#__PURE__*/_react.default.createElement(_shared_imports.RedirectAppLinks, {
    coreStart: {
      application
    }
  }, /*#__PURE__*/_react.default.createElement(_shared_imports.KibanaContextProvider, {
    services: {
      cloud,
      breadcrumbService,
      license,
      getUrlForApp,
      docLinks,
      executionContext,
      navigateToUrl,
      overlays,
      http,
      history
    }
  }, /*#__PURE__*/_react.default.createElement(_app.App, {
    history: history
  }))))), element);
  return () => (0, _reactDom.unmountComponentAtNode)(element);
};
exports.renderApp = renderApp;