"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocumentFieldsJsonEditor = void 0;
var _react = _interopRequireWildcard(require("react"));
var _mappings_state_context = require("../../mappings_state_context");
var _shared_imports = require("../../shared_imports");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DocumentFieldsJsonEditor = ({
  defaultValue
}) => {
  const dispatch = (0, _mappings_state_context.useDispatch)();
  const defaultValueRef = (0, _react.useRef)(defaultValue);
  const onUpdate = (0, _react.useCallback)(({
    data,
    isValid
  }) => dispatch({
    type: 'fieldsJsonEditor.update',
    value: {
      json: data.format(),
      isValid
    }
  }), [dispatch]);
  return /*#__PURE__*/_react.default.createElement(_shared_imports.JsonEditor, {
    onUpdate: onUpdate,
    defaultValue: defaultValueRef.current
  });
};
exports.DocumentFieldsJsonEditor = DocumentFieldsJsonEditor;