"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DetailsPageTab = void 0;
var _react = _interopRequireWildcard(require("react"));
var _breadcrumbs = require("../../../../services/breadcrumbs");
var _app_context = require("../../../../app_context");
var _details_page_overview = require("./details_page_overview");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DetailsPageTab = ({
  tabs,
  tab,
  index
}) => {
  const selectedTab = tabs.find(tabConfig => tabConfig.id === tab);
  const {
    core: {
      getUrlForApp
    }
  } = (0, _app_context.useAppContext)();
  (0, _react.useEffect)(() => {
    var _selectedTab$breadcru;
    const breadcrumb = (_selectedTab$breadcru = selectedTab === null || selectedTab === void 0 ? void 0 : selectedTab.breadcrumb) !== null && _selectedTab$breadcru !== void 0 ? _selectedTab$breadcru : {
      text: selectedTab === null || selectedTab === void 0 ? void 0 : selectedTab.name
    };
    _breadcrumbs.breadcrumbService.setBreadcrumbs(_breadcrumbs.IndexManagementBreadcrumb.indexDetails, breadcrumb);
  }, [selectedTab]);
  return selectedTab ? selectedTab.renderTabContent({
    index,
    getUrlForApp
  }) : /*#__PURE__*/_react.default.createElement(_details_page_overview.DetailsPageOverview, {
    indexDetails: index
  });
};
exports.DetailsPageTab = DetailsPageTab;