"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Metrics = void 0;
var _react = _interopRequireDefault(require("react"));
var _host_metrics = require("./host_metrics");
var _container_metrics = require("./container_metrics");
var _use_asset_details_render_props = require("../../hooks/use_asset_details_render_props");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Metrics = () => {
  const {
    asset
  } = (0, _use_asset_details_render_props.useAssetDetailsRenderPropsContext)();
  switch (asset.type) {
    case 'host':
      return /*#__PURE__*/_react.default.createElement(_host_metrics.HostMetrics, null);
    case 'container':
      return /*#__PURE__*/_react.default.createElement(_container_metrics.ContainerMetrics, null);
    default:
      return null;
  }
};
exports.Metrics = Metrics;