"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BetaBadge = void 0;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const BetaBadge = ({
  iconType,
  tooltipPosition,
  tooltipContent
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiBetaBadge, {
  label: _i18n.i18n.translate('xpack.infra.common.tabBetaBadgeLabel', {
    defaultMessage: 'Beta'
  }),
  tooltipContent: tooltipContent,
  iconType: iconType,
  tooltipPosition: tooltipPosition,
  "data-test-id": "infra-beta-badge"
});
exports.BetaBadge = BetaBadge;