"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CategoryDetailsRow = void 0;
var _react = _interopRequireWildcard(require("react"));
var _log_analysis = require("../../../../../../common/log_analysis");
var _use_log_entry_category_examples = require("../../use_log_entry_category_examples");
var _log_entry_examples = require("../../../../../components/logging/log_entry_examples/log_entry_examples");
var _category_example_message = require("./category_example_message");
var _use_log_ml_job_id_formats_shim = require("../../../shared/use_log_ml_job_id_formats_shim");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const exampleCount = 5;
const CategoryDetailsRow = ({
  categoryId,
  timeRange,
  logViewReference
}) => {
  const {
    idFormats
  } = (0, _use_log_ml_job_id_formats_shim.useLogMlJobIdFormatsShimContext)();
  const {
    getLogEntryCategoryExamples,
    hasFailedLoadingLogEntryCategoryExamples,
    isLoadingLogEntryCategoryExamples,
    logEntryCategoryExamples
  } = (0, _use_log_entry_category_examples.useLogEntryCategoryExamples)({
    categoryId,
    endTime: timeRange.endTime,
    exampleCount,
    logViewReference,
    idFormat: idFormats === null || idFormats === void 0 ? void 0 : idFormats[_log_analysis.logEntryCategoriesJobType],
    startTime: timeRange.startTime
  });
  (0, _react.useEffect)(() => {
    getLogEntryCategoryExamples();
  }, [getLogEntryCategoryExamples]);
  return /*#__PURE__*/_react.default.createElement(_log_entry_examples.LogEntryExampleMessages, {
    isLoading: isLoadingLogEntryCategoryExamples,
    hasFailedLoading: hasFailedLoadingLogEntryCategoryExamples,
    hasResults: logEntryCategoryExamples.length > 0,
    exampleCount: exampleCount,
    onReload: getLogEntryCategoryExamples
  }, logEntryCategoryExamples.map((example, exampleIndex) => /*#__PURE__*/_react.default.createElement(_category_example_message.CategoryExampleMessage, {
    key: exampleIndex,
    id: example.id,
    dataset: example.dataset,
    message: example.message,
    timeRange: timeRange,
    timestamp: example.timestamp,
    tiebreaker: example.tiebreaker,
    context: example.context
  })));
};
exports.CategoryDetailsRow = CategoryDetailsRow;