"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.callGetLogEntryAnomaliesDatasetsAPI = void 0;
var _runtime_types = require("../../../../../common/runtime_types");
var _http_api = require("../../../../../common/http_api");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const callGetLogEntryAnomaliesDatasetsAPI = async (requestArgs, fetch) => {
  const {
    logViewReference,
    idFormats,
    startTime,
    endTime
  } = requestArgs;
  const response = await fetch(_http_api.LOG_ANALYSIS_GET_LOG_ENTRY_ANOMALIES_DATASETS_PATH, {
    method: 'POST',
    body: JSON.stringify(_http_api.getLogEntryAnomaliesDatasetsRequestPayloadRT.encode({
      data: {
        logView: logViewReference,
        idFormats,
        timeRange: {
          startTime,
          endTime
        }
      }
    })),
    version: '1'
  });
  return (0, _runtime_types.decodeOrThrow)(_http_api.getLogEntryAnomaliesDatasetsSuccessReponsePayloadRT)(response);
};
exports.callGetLogEntryAnomaliesDatasetsAPI = callGetLogEntryAnomaliesDatasetsAPI;