"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TOGGLE_TEST_ID = exports.ChartsToggle = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _translations = require("../../../common/translations");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TOGGLE_TEST_ID = exports.TOGGLE_TEST_ID = 'kubernetesSecurity:chartToggle';
const ChartsToggle = ({
  handleToggleHideCharts,
  shouldHideCharts = false
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiButtonEmpty, {
  onClick: handleToggleHideCharts,
  iconType: shouldHideCharts ? 'eye' : 'eyeClosed',
  "data-test-subj": TOGGLE_TEST_ID
}, shouldHideCharts ? _translations.CHART_TOGGLE_SHOW : _translations.CHART_TOGGLE_HIDE);
exports.ChartsToggle = ChartsToggle;