"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TreeViewIcon = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _hooks = require("../../hooks");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TreeViewIcon = ({
  euiVarColor,
  ...props
}) => {
  const {
    euiVars
  } = (0, _hooks.useEuiTheme)();
  const colorStyle = euiVars[euiVarColor] ? {
    style: {
      color: euiVars[euiVarColor]
    }
  } : {};
  return /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, (0, _extends2.default)({}, props, colorStyle));
};
exports.TreeViewIcon = TreeViewIcon;