"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSetFilter = void 0;
var _react = require("react");
var _public = require("@kbn/kibana-react-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useSetFilter = () => {
  const {
    data,
    timelines
  } = (0, _public.useKibana)().services;
  const {
    getFilterForValueButton,
    getFilterOutValueButton,
    getCopyButton
  } = timelines.getHoverActions();
  const filterManager = (0, _react.useMemo)(() => data.query.filterManager, [data.query.filterManager]);
  return {
    getFilterForValueButton,
    getFilterOutValueButton,
    getCopyButton,
    filterManager
  };
};
exports.useSetFilter = useSetFilter;