"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createLayerDescriptors = void 0;
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const createLayerDescriptors = exports.createLayerDescriptors = {
  async createSecurityLayerDescriptors(indexPatternId, indexPatternTitle) {
    const {
      createSecurityLayerDescriptors
    } = await Promise.resolve().then(() => _interopRequireWildcard(require('../classes/layers/wizards/solution_layers/security')));
    return createSecurityLayerDescriptors(indexPatternId, indexPatternTitle);
  },
  async createBasemapLayerDescriptor() {
    const {
      createBasemapLayerDescriptor
    } = await Promise.resolve().then(() => _interopRequireWildcard(require('../classes/layers/create_basemap_layer_descriptor')));
    return createBasemapLayerDescriptor();
  },
  async createESSearchSourceLayerDescriptor(params) {
    const {
      createLayerDescriptor
    } = await Promise.resolve().then(() => _interopRequireWildcard(require('../classes/sources/es_search_source')));
    return createLayerDescriptor(params);
  }
};