"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.layerGroupWizardConfig = void 0;
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
var _wizard = require("./wizard");
var _constants = require("../../../../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const layerGroupWizardConfig = exports.layerGroupWizardConfig = {
  id: _constants.WIZARD_ID.LAYER_GROUP,
  order: 10,
  categories: [],
  description: _i18n.i18n.translate('xpack.maps.layerGroupWizard.description', {
    defaultMessage: 'Organize related layers in a hierarchy'
  }),
  icon: 'layers',
  renderWizard: renderWizardArguments => {
    return /*#__PURE__*/_react.default.createElement(_wizard.LayerGroupWizard, renderWizardArguments);
  },
  title: _i18n.i18n.translate('xpack.maps.layerGroupWizard.title', {
    defaultMessage: 'Layer group'
  })
};