"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SecurityLayerTemplate = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _index_pattern_select = require("./index_pattern_select");
var _create_layer_descriptors = require("./create_layer_descriptors");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class SecurityLayerTemplate extends _react.Component {
  constructor(...args) {
    super(...args);
    (0, _defineProperty2.default)(this, "state", {
      indexPatternId: null,
      indexPatternTitle: null
    });
    (0, _defineProperty2.default)(this, "_onIndexPatternChange", indexPatternMeta => {
      this.setState({
        indexPatternId: indexPatternMeta ? indexPatternMeta.id : null,
        indexPatternTitle: indexPatternMeta ? indexPatternMeta.title : null
      }, this._previewLayer);
    });
  }
  _previewLayer() {
    if (!this.state.indexPatternId || !this.state.indexPatternTitle) {
      this.props.previewLayers([]);
      return;
    }
    this.props.previewLayers((0, _create_layer_descriptors.createSecurityLayerDescriptors)(this.state.indexPatternId, this.state.indexPatternTitle));
  }
  render() {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, null, /*#__PURE__*/_react.default.createElement(_index_pattern_select.IndexPatternSelect, {
      value: this.state.indexPatternId ? this.state.indexPatternId : '',
      onChange: this._onIndexPatternChange
    }));
  }
}
exports.SecurityLayerTemplate = SecurityLayerTemplate;