"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToolbarOverlay = ToolbarOverlay;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _set_view_control = require("./set_view_control");
var _tools_control = require("./tools_control");
var _feature_edit_tools = require("./feature_draw_controls/feature_edit_tools");
var _fit_to_data = require("./fit_to_data");
var _timeslider_toggle_button = require("./timeslider_toggle_button");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function ToolbarOverlay(props) {
  const toolsButton = props.addFilters && props.showToolsControl ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_tools_control.ToolsControl, {
    getFilterActions: props.getFilterActions,
    getActionContext: props.getActionContext,
    disableToolsControl: props.pointDrawModeActive || props.shapeDrawModeActive
  })) : null;
  const fitToBoundsButton = props.showFitToBoundsButton ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_fit_to_data.FitToData, null)) : null;
  const timesliderToogleButon = props.showTimesliderButton ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_timeslider_toggle_button.TimesliderToggleButton, null)) : null;
  const featureDrawControl = props.shapeDrawModeActive || props.pointDrawModeActive ? /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_feature_edit_tools.FeatureEditTools, {
    pointsOnly: props.pointDrawModeActive
  })) : null;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    className: "mapToolbarOverlay",
    responsive: false,
    direction: "column",
    alignItems: "flexStart",
    gutterSize: "s"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_set_view_control.SetViewControl, null)), fitToBoundsButton, toolsButton, timesliderToogleButon, featureDrawControl);
}