"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isLegacyMap = isLegacyMap;
exports.isLegacyMapApi = isLegacyMapApi;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function isLegacyMap(embeddable) {
  var _getVis, _getVis$type;
  return embeddable.type === 'visualization' && typeof embeddable.getVis === 'function' && ['region_map', 'tile_map'].includes((_getVis = embeddable.getVis()) === null || _getVis === void 0 ? void 0 : (_getVis$type = _getVis.type) === null || _getVis$type === void 0 ? void 0 : _getVis$type.name);
}
function isLegacyMapApi(api) {
  var _api$getVis$type;
  return ['region_map', 'tile_map'].includes((_api$getVis$type = api.getVis().type) === null || _api$getVis$type === void 0 ? void 0 : _api$getVis$type.name);
}