"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mlCategory = exports.METRIC_AGG_TYPE = exports.EVENT_RATE_FIELD_ID = void 0;
var _fieldTypes = require("@kbn/field-types");
var _field_types = require("./field_types");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * EVENT_RATE_FIELD_ID
 */
const EVENT_RATE_FIELD_ID = exports.EVENT_RATE_FIELD_ID = '__ml_event_rate_count__';

/**
 * METRIC_AGG_TYPE
 */
const METRIC_AGG_TYPE = exports.METRIC_AGG_TYPE = 'metrics';

/**
 * Field id
 */

/**
 * AggId is an alias of ML_JOB_AGGREGATION
 */

/**
 * Split field can be Field or null.
 */

/**
 * Field definition
 */

/**
 * Aggregation definition.
 */

/**
 * Job caps for a new job.
 */

/**
 * Job caps response for a new job.
 */

/**
 * Definition for a pair of aggregation and field.
 */

/**
 * Definition for a pair of aggregation and field name.
 */

/**
 * Definition for an ml category.
 */
const mlCategory = exports.mlCategory = {
  /**
   * id `mlcategory` id
   */
  id: _field_types.MLCATEGORY,
  /**
   * name `mlcategory`
   */
  name: _field_types.MLCATEGORY,
  /**
   * type `keyword`
   */
  type: _fieldTypes.ES_FIELD_TYPES.KEYWORD,
  /**
   * non-aggregatable
   */
  aggregatable: false,
  /**
   * no counter
   */
  counter: false
};

/**
 * Rollup fields are a nested record of field ids and ES aggregations.
 */