"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DetailsStep = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _details_step_details = require("./details_step_details");
var _details_step_form = require("./details_step_form");
var _page = require("../../page");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DetailsStep = ({
  actions,
  state,
  setCurrentStep,
  step,
  stepActivated
}) => {
  const showForm = step === _page.ANALYTICS_STEPS.DETAILS;
  const showDetails = step !== _page.ANALYTICS_STEPS.DETAILS && stepActivated === true;
  const dataTestSubj = `mlAnalyticsCreateJobWizardDetailsStep${showForm ? ' active' : ''}${showDetails ? ' summary' : ''}`;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiForm, {
    className: "mlDataFrameAnalyticsCreateForm",
    "data-test-subj": dataTestSubj
  }, showForm && /*#__PURE__*/_react.default.createElement(_details_step_form.DetailsStepForm, {
    actions: actions,
    state: state,
    setCurrentStep: setCurrentStep
  }), showDetails && /*#__PURE__*/_react.default.createElement(_details_step_details.DetailsStepDetails, {
    setCurrentStep: setCurrentStep,
    state: state
  }));
};
exports.DetailsStep = DetailsStep;