"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useViewAction = void 0;
var _react = _interopRequireWildcard(require("react"));
var _mlDataFrameAnalyticsUtils = require("@kbn/ml-data-frame-analytics-utils");
var _kibana = require("../../../../../contexts/kibana");
var _get_view_link_status = require("./get_view_link_status");
var _view_button = require("./view_button");
var _locator = require("../../../../../../../common/constants/locator");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useViewAction = () => {
  const mlLocator = (0, _kibana.useMlLocator)();
  const navigateToPath = (0, _kibana.useNavigateToPath)();
  const redirectToTab = async (jobId, analysisType) => {
    const path = await mlLocator.getUrl({
      page: _locator.ML_PAGES.DATA_FRAME_ANALYTICS_EXPLORATION,
      pageState: {
        jobId,
        analysisType
      }
    });
    await navigateToPath(path, false);
  };
  const clickHandler = (0, _react.useCallback)(item => {
    const analysisType = (0, _mlDataFrameAnalyticsUtils.getAnalysisType)(item.config.analysis);
    redirectToTab(item.id, analysisType);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  const action = (0, _react.useMemo)(() => ({
    isPrimary: true,
    name: item => /*#__PURE__*/_react.default.createElement(_view_button.ViewButton, {
      item: item
    }),
    enabled: item => !(0, _get_view_link_status.getViewLinkStatus)(item).disabled,
    description: _view_button.viewActionButtonText,
    icon: 'visTable',
    type: 'icon',
    onClick: clickHandler,
    'data-test-subj': 'mlAnalyticsJobViewButton'
  }), [clickHandler]);
  return {
    action
  };
};
exports.useViewAction = useViewAction;