"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logRateAnalysisRouteFactory = exports.explainLogRateSpikesRouteFactory = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactRouterDom = require("react-router-dom");
var _i18n = require("@kbn/i18n");
var _sharedUxUtility = require("@kbn/shared-ux-utility");
var _locator = require("../../../../locator");
var _router = require("../../router");
var _use_resolver = require("../../use_resolver");
var _breadcrumbs = require("../../breadcrumbs");
var _ml = require("../../../contexts/ml");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
const Page = (0, _sharedUxUtility.dynamic)(async () => ({
  default: (await Promise.resolve().then(() => _interopRequireWildcard(require('../../../aiops/log_rate_analysis')))).LogRateAnalysisPage
}));
const logRateAnalysisRouteFactory = (navigateToPath, basePath) => ({
  id: 'log_rate_analysis',
  path: (0, _router.createPath)(_locator.ML_PAGES.AIOPS_LOG_RATE_ANALYSIS),
  title: _i18n.i18n.translate('xpack.ml.aiops.logRateAnalysis.docTitle', {
    defaultMessage: 'Log rate analysis'
  }),
  render: () => /*#__PURE__*/_react.default.createElement(PageWrapper, null),
  breadcrumbs: [(0, _breadcrumbs.getBreadcrumbWithUrlForApp)('ML_BREADCRUMB', navigateToPath, basePath), (0, _breadcrumbs.getBreadcrumbWithUrlForApp)('AIOPS_BREADCRUMB_LOG_RATE_ANALYSIS', navigateToPath, basePath), {
    text: _i18n.i18n.translate('xpack.ml.aiopsBreadcrumbs.logRateAnalysisLabel', {
      defaultMessage: 'Log rate analysis'
    })
  }]
});

/**
 * @deprecated since 8.10, kept here to redirect old bookmarks.
 */
exports.logRateAnalysisRouteFactory = logRateAnalysisRouteFactory;
const explainLogRateSpikesRouteFactory = () => ({
  path: (0, _router.createPath)(_locator.ML_PAGES.AIOPS_EXPLAIN_LOG_RATE_SPIKES),
  render: () => /*#__PURE__*/_react.default.createElement(RedirectWithQueryString, null),
  // no breadcrumbs since it's just a redirect
  breadcrumbs: []
});
exports.explainLogRateSpikesRouteFactory = explainLogRateSpikesRouteFactory;
const RedirectWithQueryString = () => {
  const location = (0, _reactRouterDom.useLocation)();
  return /*#__PURE__*/_react.default.createElement(_reactRouterDom.Redirect, {
    to: {
      pathname: (0, _router.createPath)(_locator.ML_PAGES.AIOPS_LOG_RATE_ANALYSIS),
      search: `${location.search}`
    }
  });
};
const PageWrapper = () => {
  const {
    context
  } = (0, _use_resolver.useRouteResolver)('full', ['canUseAiops']);
  return /*#__PURE__*/_react.default.createElement(_router.PageLoader, {
    context: context
  }, /*#__PURE__*/_react.default.createElement(_ml.DataSourceContextProvider, null, /*#__PURE__*/_react.default.createElement(Page, null)));
};