"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.XJsonWorker = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _grammar = require("../grammar");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/* eslint-disable-next-line @kbn/eslint/module_migration */

class XJsonWorker {
  constructor(ctx) {
    (0, _defineProperty2.default)(this, "parser", void 0);
    this.ctx = ctx;
  }
  async parse(modelUri) {
    if (!this.parser) {
      this.parser = (0, _grammar.createParser)();
    }
    const model = this.ctx.getMirrorModels().find(m => m.uri.toString() === modelUri);
    if (model) {
      return this.parser(model.getValue());
    }
  }
}
exports.XJsonWorker = XJsonWorker;