"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useLastUsedPrompts = useLastUsedPrompts;
var _lodash = require("lodash");
var _react = require("react");
var _use_local_storage = require("./use_local_storage");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AI_ASSISTANT_LAST_USED_PROMPT_STORAGE = 'kibana.ai-assistant.last-used-prompts';
function useLastUsedPrompts() {
  const [lastUsedPrompts, setPrompt] = (0, _use_local_storage.useLocalStorage)(AI_ASSISTANT_LAST_USED_PROMPT_STORAGE, []);
  const addLastUsedPrompt = (0, _react.useCallback)(prompt => setPrompt((0, _lodash.uniq)([prompt, ...lastUsedPrompts]).slice(0, 5)), [lastUsedPrompts, setPrompt]);
  return (0, _react.useMemo)(() => ({
    lastUsedPrompts,
    addLastUsedPrompt
  }), [addLastUsedPrompt, lastUsedPrompts]);
}