"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RedirectToHomeIfUnauthorized = RedirectToHomeIfUnauthorized;
var _react = _interopRequireDefault(require("react"));
var _public = require("@kbn/observability-ai-assistant-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function RedirectToHomeIfUnauthorized({
  coreStart,
  children
}) {
  var _ref, _capabilities$observa;
  const {
    application: {
      capabilities,
      navigateToApp
    }
  } = coreStart;
  const allowed = (_ref = (capabilities === null || capabilities === void 0 ? void 0 : capabilities.management.kibana.observabilityAiAssistantManagement) && (capabilities === null || capabilities === void 0 ? void 0 : (_capabilities$observa = capabilities.observabilityAIAssistant) === null || _capabilities$observa === void 0 ? void 0 : _capabilities$observa[_public.aiAssistantCapabilities.show])) !== null && _ref !== void 0 ? _ref : false;
  if (!allowed) {
    navigateToApp('home');
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
}