"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useObservabilityLogsExplorerPageStateContext = exports.useObservabilityLogsExplorerPageState = exports.ObservabilityLogsExplorerPageStateProvider = void 0;
var _xstateUtils = require("@kbn/xstate-utils");
var _react = require("@xstate/react");
var _constate = _interopRequireDefault(require("constate"));
var _state_machine = require("./state_machine");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useObservabilityLogsExplorerPageState = deps => {
  const observabilityLogsExplorerPageStateService = (0, _react.useInterpret)(() => (0, _state_machine.createObservabilityLogsExplorerStateMachine)(deps), {
    devTools: (0, _xstateUtils.getDevToolsOptions)()
  });
  return observabilityLogsExplorerPageStateService;
};
exports.useObservabilityLogsExplorerPageState = useObservabilityLogsExplorerPageState;
const [ObservabilityLogsExplorerPageStateProvider, useObservabilityLogsExplorerPageStateContext] = (0, _constate.default)(useObservabilityLogsExplorerPageState);
exports.useObservabilityLogsExplorerPageStateContext = useObservabilityLogsExplorerPageStateContext;
exports.ObservabilityLogsExplorerPageStateProvider = ObservabilityLogsExplorerPageStateProvider;