"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useKibanaContextForPluginProvider = exports.useKibanaContextForPlugin = exports.createKibanaContextForPlugin = void 0;
var _public = require("@kbn/kibana-react-plugin/public");
var _react = require("react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const createKibanaContextForPlugin = (core, plugins, pluginStart, appParams) => (0, _public.createKibanaReactContext)({
  ...core,
  ...plugins,
  ...pluginStart,
  appParams
});
exports.createKibanaContextForPlugin = createKibanaContextForPlugin;
const useKibanaContextForPlugin = exports.useKibanaContextForPlugin = _public.useKibana;
const useKibanaContextForPluginProvider = (core, plugins, pluginStart, appParams) => {
  const {
    Provider
  } = (0, _react.useMemo)(() => createKibanaContextForPlugin(core, plugins, pluginStart, appParams), [appParams, core, pluginStart, plugins]);
  return Provider;
};
exports.useKibanaContextForPluginProvider = useKibanaContextForPluginProvider;