"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MetricRowControls = MetricRowControls;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n_strings = require("../../i18n_strings");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function MetricRowControls({
  onDelete,
  disableDelete
}) {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
    "data-test-subj": "o11yMetricRowControlsButton",
    "aria-label": _i18n_strings.DELETE_LABEL,
    iconType: "cross",
    color: "text",
    onClick: onDelete,
    disabled: disableDelete,
    title: _i18n_strings.DELETE_LABEL,
    size: "xs",
    css: {
      height: 16
    }
  });
}