"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.metricToFormat = void 0;
var _lodash = require("lodash");
var _types = require("../../../../common/custom_threshold_rule/types");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const metricToFormat = metric => {
  if (metric && metric.field) {
    const suffix = (0, _lodash.last)(metric.field.split(/\./));
    if (suffix === 'pct') {
      return _types.InfraFormatterType.percent;
    }
    if (suffix === 'bytes') {
      return _types.InfraFormatterType.bytes;
    }
  }
  return _types.InfraFormatterType.number;
};
exports.metricToFormat = metricToFormat;