"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePrefixPathWithBasepath = void 0;
var _react = require("react");
var _public = require("@kbn/kibana-react-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const usePrefixPathWithBasepath = () => {
  var _useKibana$services$a;
  const getUrlForApp = (_useKibana$services$a = (0, _public.useKibana)().services.application) === null || _useKibana$services$a === void 0 ? void 0 : _useKibana$services$a.getUrlForApp;
  const prefixer = (0, _react.useMemo)(() => {
    if (!getUrlForApp) {
      throw new Error('Application core service is unavailable');
    }
    return (app, path) => {
      return getUrlForApp(app, {
        path
      });
    };
  }, [getUrlForApp]);
  return prefixer;
};
exports.usePrefixPathWithBasepath = usePrefixPathWithBasepath;