"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getExternalReferenceAttachmentRegular = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _constants = require("../../../common/constants");
var _lazy_external_reference_content = require("./lazy_external_reference_content");
var _osquery = _interopRequireDefault(require("../../components/osquery_icon/osquery.svg"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getExternalReferenceAttachmentRegular = services => ({
  id: _constants.CASE_ATTACHMENT_TYPE_ID,
  displayName: 'Osquery',
  getAttachmentViewObject: () => ({
    type: 'regular',
    event: 'attached Osquery results',
    timelineAvatar: /*#__PURE__*/_react.default.createElement(_eui.EuiAvatar, {
      name: "osquery",
      color: "subdued",
      iconType: _osquery.default
    }),
    // @ts-expect-error update types
    children: (0, _lazy_external_reference_content.getLazyExternalContent)(services)
  })
});
exports.getExternalReferenceAttachmentRegular = getExternalReferenceAttachmentRegular;