"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  withSuspense: true,
  LazyLabsBeakerButton: true,
  LazyLabsFlyout: true,
  LazyDashboardPicker: true,
  LazySavedObjectSaveModalDashboard: true,
  LazyDataViewPicker: true,
  LazyFieldPicker: true,
  DashboardDrilldownOptionsComponent: true,
  LazyExpressionInput: true,
  DEFAULT_DASHBOARD_DRILLDOWN_OPTIONS: true,
  FloatingActions: true
};
Object.defineProperty(exports, "DEFAULT_DASHBOARD_DRILLDOWN_OPTIONS", {
  enumerable: true,
  get: function () {
    return _types.DEFAULT_DASHBOARD_DRILLDOWN_OPTIONS;
  }
});
exports.DashboardDrilldownOptionsComponent = void 0;
Object.defineProperty(exports, "FloatingActions", {
  enumerable: true,
  get: function () {
    return _floating_actions.FloatingActions;
  }
});
exports.withSuspense = exports.LazySavedObjectSaveModalDashboard = exports.LazyLabsFlyout = exports.LazyLabsBeakerButton = exports.LazyFieldPicker = exports.LazyExpressionInput = exports.LazyDataViewPicker = exports.LazyDashboardPicker = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _types = require("./dashboard_drilldown_options/types");
var _floating_actions = require("./floating_actions/floating_actions");
var _types2 = require("./types");
Object.keys(_types2).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types2[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types2[key];
    }
  });
});
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */
/**
 * A HOC which supplies React.Suspense with a fallback component, and a `EuiErrorBoundary` to contain errors.
 * @param Component A component deferred by `React.lazy`
 * @param fallback A fallback component to render while things load; default is `EuiLoadingSpinner`
 */
const withSuspense = (Component, fallback = /*#__PURE__*/_react.default.createElement(_eui.EuiLoadingSpinner, null)) => /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiErrorBoundary, null, /*#__PURE__*/_react.default.createElement(_react.Suspense, {
    fallback: fallback
  }, /*#__PURE__*/_react.default.createElement(Component, (0, _extends2.default)({}, props, {
    ref: ref
  }))));
});
exports.withSuspense = withSuspense;
const LazyLabsBeakerButton = exports.LazyLabsBeakerButton = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./labs/labs_beaker_button'))));
const LazyLabsFlyout = exports.LazyLabsFlyout = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./labs/labs_flyout'))));
const LazyDashboardPicker = exports.LazyDashboardPicker = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./dashboard_picker/dashboard_picker'))));
const LazySavedObjectSaveModalDashboard = exports.LazySavedObjectSaveModalDashboard = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./saved_object_save_modal_dashboard'))));
const LazyDataViewPicker = exports.LazyDataViewPicker = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./data_view_picker/data_view_picker'))));
const LazyFieldPicker = exports.LazyFieldPicker = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./field_picker/field_picker'))));
const LazyDashboardDrilldownOptionsComponent = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./dashboard_drilldown_options/dashboard_drilldown_options'))).then(({
  DashboardDrilldownOptionsComponent
}) => ({
  default: DashboardDrilldownOptionsComponent
})));
const DashboardDrilldownOptionsComponent = exports.DashboardDrilldownOptionsComponent = withSuspense(LazyDashboardDrilldownOptionsComponent, null);
/**
 * A lazily-loaded ExpressionInput component.
 */
const LazyExpressionInput = exports.LazyExpressionInput = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => _interopRequireWildcard(require('./expression_input'))));