"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProfilingEmbeddableProvider = ProfilingEmbeddableProvider;
var _public = require("@kbn/kibana-react-plugin/public");
var _react = _interopRequireWildcard(require("react"));
var _public2 = require("@kbn/kibana-utils-plugin/public");
var _profiling_dependencies_context = require("../components/contexts/profiling_dependencies/profiling_dependencies_context");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const storage = new _public2.Storage(localStorage);
function ProfilingEmbeddableProvider({
  deps,
  children
}) {
  const profilingDependencies = (0, _react.useMemo)(() => ({
    start: {
      core: deps.coreStart,
      ...deps.pluginsStart
    },
    setup: {
      core: deps.coreSetup,
      ...deps.pluginsSetup
    },
    services: deps.profilingFetchServices
  }), [deps]);
  const i18nCore = deps.coreStart.i18n;
  return /*#__PURE__*/_react.default.createElement(i18nCore.Context, null, /*#__PURE__*/_react.default.createElement(_public.KibanaContextProvider, {
    services: {
      ...deps.coreStart,
      ...deps.pluginsStart,
      storage
    }
  }, /*#__PURE__*/_react.default.createElement(_profiling_dependencies_context.ProfilingDependenciesContextProvider, {
    value: profilingDependencies
  }, children)));
}