"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadJobs = void 0;
var _services = require("../../services");
var _action_types = require("../action_types");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const loadJobs = () => async dispatch => {
  dispatch({
    type: _action_types.LOAD_JOBS_START
  });
  let jobs;
  try {
    jobs = await (0, _services.loadJobs)();
  } catch (error) {
    return dispatch({
      type: _action_types.LOAD_JOBS_FAILURE,
      payload: {
        error
      }
    });
  }
  dispatch({
    type: _action_types.LOAD_JOBS_SUCCESS,
    payload: {
      jobs: (0, _services.deserializeJobs)(jobs)
    }
  });
};
exports.loadJobs = loadJobs;