"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  CONNECTORS_INDEX: true,
  CURRENT_CONNECTORS_INDEX: true,
  CONNECTORS_JOBS_INDEX: true,
  CURRENT_CONNECTORS_JOB_INDEX: true,
  CONNECTORS_VERSION: true,
  CONNECTORS_ACCESS_CONTROL_INDEX_PREFIX: true,
  CRAWLER_SERVICE_TYPE: true
};
exports.CURRENT_CONNECTORS_JOB_INDEX = exports.CURRENT_CONNECTORS_INDEX = exports.CRAWLER_SERVICE_TYPE = exports.CONNECTORS_VERSION = exports.CONNECTORS_JOBS_INDEX = exports.CONNECTORS_INDEX = exports.CONNECTORS_ACCESS_CONTROL_INDEX_PREFIX = void 0;
var _components = require("./components");
Object.keys(_components).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _components[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _components[key];
    }
  });
});
var _lib = require("./lib");
Object.keys(_lib).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _lib[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _lib[key];
    }
  });
});
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
var _utils = require("./utils");
Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _utils[key];
    }
  });
});
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const CONNECTORS_INDEX = exports.CONNECTORS_INDEX = '.elastic-connectors';
const CURRENT_CONNECTORS_INDEX = exports.CURRENT_CONNECTORS_INDEX = '.elastic-connectors-v1';
const CONNECTORS_JOBS_INDEX = exports.CONNECTORS_JOBS_INDEX = '.elastic-connectors-sync-jobs';
const CURRENT_CONNECTORS_JOB_INDEX = exports.CURRENT_CONNECTORS_JOB_INDEX = '.elastic-connectors-sync-jobs-v1';
const CONNECTORS_VERSION = exports.CONNECTORS_VERSION = 1;
const CONNECTORS_ACCESS_CONTROL_INDEX_PREFIX = exports.CONNECTORS_ACCESS_CONTROL_INDEX_PREFIX = '.search-acl-filter-';
const CRAWLER_SERVICE_TYPE = exports.CRAWLER_SERVICE_TYPE = 'elastic-crawler';