"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddEmptyPrompt = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _doc_links = require("../../../common/doc_links");
var i18n = _interopRequireWildcard(require("../../../common/translations"));
var _inference_endpoint = _interopRequireDefault(require("../../assets/images/inference_endpoint.svg"));
var _endpoint_prompt = require("./endpoint_prompt");
var _use_trained_model_page_url = require("../../hooks/use_trained_model_page_url");
require("./add_empty_prompt.scss");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AddEmptyPrompt = () => {
  const trainedModelPageUrl = (0, _use_trained_model_page_url.useTrainedModelPageUrl)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPageTemplate.EmptyPrompt, {
    layout: "horizontal",
    restrictWidth: true,
    color: "plain",
    hasShadow: true,
    icon: /*#__PURE__*/_react.default.createElement(_eui.EuiImage, {
      size: "fullWidth",
      src: _inference_endpoint.default,
      alt: ""
    }),
    title: /*#__PURE__*/_react.default.createElement("h2", null, i18n.INFERENCE_ENDPOINT_LABEL),
    body: /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      direction: "column"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      "data-test-subj": "createFirstInferenceEndpointDescription"
    }, i18n.CREATE_FIRST_INFERENCE_ENDPOINT_DESCRIPTION), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      href: _doc_links.docLinks.createInferenceEndpoint,
      target: "_blank",
      "data-test-subj": "learn-how-to-create-inference-endpoints"
    }, i18n.LEARN_HOW_TO_CREATE_INFERENCE_ENDPOINTS_LINK)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      href: trainedModelPageUrl,
      target: "_blank",
      "data-test-subj": "view-your-models"
    }, i18n.VIEW_YOUR_MODELS_LINK))),
    footer: /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      gutterSize: "xs",
      direction: "column"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement("strong", null, i18n.START_WITH_PREPARED_ENDPOINTS_LABEL)), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
      size: "s"
    }), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_endpoint_prompt.EndpointPrompt, {
      title: i18n.ELSER_TITLE,
      description: i18n.ELSER_DESCRIPTION,
      footer: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: _doc_links.docLinks.semanticSearchElser,
        target: "_blank",
        "data-test-subj": "semantic-search-with-elser"
      }, i18n.SEMANTIC_SEARCH_WITH_ELSER_LINK)
    })), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_endpoint_prompt.EndpointPrompt, {
      title: i18n.E5_TITLE,
      description: i18n.E5_DESCRIPTION,
      footer: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        href: _doc_links.docLinks.semanticSearchE5,
        target: "_blank",
        "data-test-subj": "semantic-search-with-e5"
      }, i18n.SEMANTIC_SEARCH_WITH_E5_LINK)
    }))))
  });
};
exports.AddEmptyPrompt = AddEmptyPrompt;