"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useUsageTracker = void 0;
var _analytics = require("@kbn/analytics");
var _react = require("react");
var _use_kibana = require("./use_kibana");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const APP_TRACKER_NAME = 'search_playground';
const useUsageTracker = () => {
  const {
    usageCollection
  } = (0, _use_kibana.useKibana)().services;
  return (0, _react.useMemo)(() => {
    if (usageCollection) {
      return {
        click: usageCollection.reportUiCounter.bind(usageCollection, APP_TRACKER_NAME, _analytics.METRIC_TYPE.CLICK),
        count: usageCollection.reportUiCounter.bind(usageCollection, APP_TRACKER_NAME, _analytics.METRIC_TYPE.COUNT),
        load: usageCollection.reportUiCounter.bind(usageCollection, APP_TRACKER_NAME, _analytics.METRIC_TYPE.LOADED)
      };
    }
  }, [usageCollection]);
};
exports.useUsageTracker = useUsageTracker;