"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateRoleMappingButton = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _public = require("@kbn/kibana-react-plugin/public");
var _management_urls = require("../../../management_urls");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CreateRoleMappingButton = ({
  history
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiButton, (0, _extends2.default)({
    iconType: "plusInCircleFilled",
    "data-test-subj": "createRoleMappingButton"
  }, (0, _public.reactRouterNavigate)(history, _management_urls.EDIT_ROLE_MAPPING_PATH), {
    fill: true
  }), /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.security.management.roleMappings.createRoleMappingButton",
    defaultMessage: "Create role mapping"
  }));
};
exports.CreateRoleMappingButton = CreateRoleMappingButton;