"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SubFeaturePrivilege = void 0;
var _kibana_privilege = require("./kibana_privilege");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class SubFeaturePrivilege extends _kibana_privilege.KibanaPrivilege {
  constructor(subPrivilegeConfig, actions = []) {
    super(subPrivilegeConfig.id, actions);
    this.subPrivilegeConfig = subPrivilegeConfig;
    this.actions = actions;
  }
  get name() {
    return this.subPrivilegeConfig.name;
  }
  get disabled() {
    return this.subPrivilegeConfig.disabled;
  }
  get requireAllSpaces() {
    var _this$subPrivilegeCon;
    return (_this$subPrivilegeCon = this.subPrivilegeConfig.requireAllSpaces) !== null && _this$subPrivilegeCon !== void 0 ? _this$subPrivilegeCon : false;
  }
}
exports.SubFeaturePrivilege = SubFeaturePrivilege;