"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setOnboardingSettings = void 0;
var _public = require("@kbn/security-solution-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const setOnboardingSettings = services => {
  const {
    securitySolution
  } = services;
  securitySolution.setOnboardingPageSettings.setAvailableSteps([_public.OverviewSteps.getToKnowElasticSecurity, _public.AddIntegrationsSteps.connectToDataSources, _public.ViewDashboardSteps.analyzeData, _public.EnablePrebuiltRulesSteps.enablePrebuiltRules, _public.ViewAlertsSteps.viewAlerts]);
};
exports.setOnboardingSettings = setOnboardingSettings;