"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.relatedUsersRequestOptionsSchema = void 0;
var _zod = require("zod");
var _factory_query_type = require("../model/factory_query_type");
var _inspect = require("../model/inspect");
var _request_basic_options = require("../model/request_basic_options");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const relatedUsersRequestOptionsSchema = exports.relatedUsersRequestOptionsSchema = _request_basic_options.requestBasicOptionsSchema.extend({
  hostName: _zod.z.string(),
  skip: _zod.z.boolean().optional(),
  from: _zod.z.string(),
  inspect: _inspect.inspect,
  isNewRiskScoreModuleInstalled: _zod.z.boolean().default(false),
  factoryQueryType: _zod.z.literal(_factory_query_type.RelatedEntitiesQueries.relatedUsers)
});