"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isUserRiskScore = exports.RiskSeverity = exports.RiskScoreFields = exports.EMPTY_SEVERITY_COUNT = void 0;
var _common = require("../../../../api/entity_analytics/common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RiskSeverity = exports.RiskSeverity = _common.EntityRiskLevels.enum;
let RiskScoreFields = exports.RiskScoreFields = /*#__PURE__*/function (RiskScoreFields) {
  RiskScoreFields["timestamp"] = "@timestamp";
  RiskScoreFields["hostName"] = "host.name";
  RiskScoreFields["hostRiskScore"] = "host.risk.calculated_score_norm";
  RiskScoreFields["hostRisk"] = "host.risk.calculated_level";
  RiskScoreFields["userName"] = "user.name";
  RiskScoreFields["userRiskScore"] = "user.risk.calculated_score_norm";
  RiskScoreFields["userRisk"] = "user.risk.calculated_level";
  RiskScoreFields["alertsCount"] = "alertsCount";
  return RiskScoreFields;
}({});
const isUserRiskScore = risk => 'user' in risk;
exports.isUserRiskScore = isUserRiskScore;
const EMPTY_SEVERITY_COUNT = exports.EMPTY_SEVERITY_COUNT = {
  [_common.EntityRiskLevelsEnum.Critical]: 0,
  [_common.EntityRiskLevelsEnum.High]: 0,
  [_common.EntityRiskLevelsEnum.Low]: 0,
  [_common.EntityRiskLevelsEnum.Moderate]: 0,
  [_common.EntityRiskLevelsEnum.Unknown]: 0
};