"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getContentWrapperCss = exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@emotion/react");
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getContentWrapperCss = euiTheme => (0, _react2.css)`
  padding: ${`${euiTheme.size.m} ${euiTheme.size.l}`};
  text-overflow: ellipsis;
  word-break: break-word;
  display: -webkit-box;
  -webkit-box-orient: vertical;
`;
exports.getContentWrapperCss = getContentWrapperCss;
const AttachmentContentChildren = ({
  externalReferenceMetadata: {
    comment
  }
}) => {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  return comment.trim().length > 0 ? /*#__PURE__*/_react.default.createElement("div", {
    css: getContentWrapperCss(euiTheme)
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiMarkdownFormat, {
    grow: true
  }, comment)) : null;
};
// eslint-disable-next-line import/no-default-export
exports.default = AttachmentContentChildren;