"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResponseActionsEmptyPrompt = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _translations = require("../../../detection_engine/rule_response_actions/osquery/translations");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ResponseActionsEmptyPrompt = ({
  type
}) => {
  const integration = (0, _react.useMemo)(() => {
    switch (type) {
      case 'endpoint':
        return {
          icon: 'logoSecurity',
          name: 'Elastic Defend'
        };
    }
  }, [type]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiEmptyPrompt, {
    iconType: integration.icon,
    title: /*#__PURE__*/_react.default.createElement("h2", null, _translations.PERMISSION_DENIED),
    titleSize: "xs",
    body: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.securitySolution.responseActions.results.missingPrivileges",
      defaultMessage: "To access these results, ask your administrator for {integration} Kibana privileges.",
      values: {
        integration: /*#__PURE__*/_react.default.createElement(_eui.EuiCode, null, integration.name)
      }
    })
  });
};
exports.ResponseActionsEmptyPrompt = ResponseActionsEmptyPrompt;