"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TABLE_TITLE = exports.TABLE_SUBTITLE = exports.SHOWING_EXECUTIONS = exports.RULE_EXECUTION_LOG_SHOW_SOURCE_EVENT_TIME_RANGE = exports.RULE_EXECUTION_LOG_SHOW_METRIC_COLUMNS_SWITCH = exports.RULE_EXECUTION_LOG_SEARCH_PLACEHOLDER = exports.RULE_EXECUTION_LOG_SEARCH_LIMIT_EXCEEDED = exports.ROW_DETAILS_MESSAGE = exports.GREATER_THAN_YEAR = exports.EXPAND_ROW = exports.EXPAND = exports.DURATION_NOT_AVAILABLE = exports.COLUMN_TYPE = exports.COLUMN_TIMESTAMP_TOOLTIP = exports.COLUMN_TIMESTAMP = exports.COLUMN_STATUS_TOOLTIP = exports.COLUMN_STATUS = exports.COLUMN_SOURCE_EVENT_TIME_RANGE_TOOLTIP = exports.COLUMN_SOURCE_EVENT_TIME_RANGE = exports.COLUMN_SEARCH_DURATION_TOOLTIP = exports.COLUMN_SEARCH_DURATION = exports.COLUMN_SCHEDULING_DELAY_TOOLTIP = exports.COLUMN_SCHEDULING_DELAY = exports.COLUMN_MESSAGE_TOOLTIP = exports.COLUMN_MESSAGE = exports.COLUMN_INDEX_DURATION_TOOLTIP = exports.COLUMN_INDEX_DURATION = exports.COLUMN_GAP_TOOLTIP_SEE_DOCUMENTATION = exports.COLUMN_GAP_DURATION = exports.COLUMN_DURATION_TOOLTIP = exports.COLUMN_DURATION = exports.COLUMN_ACTIONS_TOOLTIP = exports.COLUMN_ACTIONS = exports.COLLAPSE = exports.ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_TITLE = exports.ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_RESTORE_BUTTON = exports.ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_DESCRIPTION = exports.ACTIONS_FIELD_NOT_FOUND_ERROR_TITLE = exports.ACTIONS_FIELD_NOT_FOUND_ERROR = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TABLE_TITLE = exports.TABLE_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.tableTitle', {
  defaultMessage: 'Execution log'
});
const TABLE_SUBTITLE = exports.TABLE_SUBTITLE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.tableSubtitle', {
  defaultMessage: 'A log of rule execution results'
});
const SHOWING_EXECUTIONS = totalItems => _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.totalExecutionsLabel', {
  values: {
    totalItems
  },
  defaultMessage: 'Showing {totalItems} {totalItems, plural, =1 {rule execution} other {rule executions}}'
});
exports.SHOWING_EXECUTIONS = SHOWING_EXECUTIONS;
const RULE_EXECUTION_LOG_SEARCH_LIMIT_EXCEEDED = (totalItems, maxItems) => _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.searchLimitExceededLabel', {
  values: {
    totalItems,
    maxItems
  },
  defaultMessage: "More than {totalItems} rule executions match filters provided. Showing first {maxItems} by most recent '@timestamp'. Constrain filters further to view additional execution events."
});
exports.RULE_EXECUTION_LOG_SEARCH_LIMIT_EXCEEDED = RULE_EXECUTION_LOG_SEARCH_LIMIT_EXCEEDED;
const RULE_EXECUTION_LOG_SEARCH_PLACEHOLDER = exports.RULE_EXECUTION_LOG_SEARCH_PLACEHOLDER = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.searchPlaceholder', {
  defaultMessage: 'duration > 100 and gapDuration > 10'
});
const RULE_EXECUTION_LOG_SHOW_METRIC_COLUMNS_SWITCH = exports.RULE_EXECUTION_LOG_SHOW_METRIC_COLUMNS_SWITCH = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.showMetricColumnsSwitchTitle', {
  defaultMessage: 'Show metrics columns'
});
const RULE_EXECUTION_LOG_SHOW_SOURCE_EVENT_TIME_RANGE = exports.RULE_EXECUTION_LOG_SHOW_SOURCE_EVENT_TIME_RANGE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.showSourceEventTimeRangeSwitchTitle', {
  defaultMessage: 'Show source event time range'
});
const COLUMN_STATUS = exports.COLUMN_STATUS = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.statusColumn', {
  defaultMessage: 'Status'
});
const COLUMN_STATUS_TOOLTIP = exports.COLUMN_STATUS_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.statusColumnTooltip', {
  defaultMessage: 'Overall status of execution.'
});
const COLUMN_TYPE = exports.COLUMN_TYPE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.type', {
  defaultMessage: 'Type'
});
const COLUMN_SOURCE_EVENT_TIME_RANGE = exports.COLUMN_SOURCE_EVENT_TIME_RANGE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.sourceEventTimeRange', {
  defaultMessage: 'Source event time range'
});
const COLUMN_SOURCE_EVENT_TIME_RANGE_TOOLTIP = exports.COLUMN_SOURCE_EVENT_TIME_RANGE_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.sourceEventTimeRangeTooltip', {
  defaultMessage: "Only applies to manual rule executions. If the rule has look-back time, it's included in the logged time range."
});
const COLUMN_TIMESTAMP = exports.COLUMN_TIMESTAMP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.timestampColumn', {
  defaultMessage: 'Timestamp'
});
const COLUMN_TIMESTAMP_TOOLTIP = exports.COLUMN_TIMESTAMP_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.timestampColumnTooltip', {
  defaultMessage: 'Datetime rule execution initiated.'
});
const COLUMN_DURATION = exports.COLUMN_DURATION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.durationColumn', {
  defaultMessage: 'Duration'
});
const COLUMN_DURATION_TOOLTIP = exports.COLUMN_DURATION_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.durationColumnTooltip', {
  defaultMessage: 'The length of time it took for the rule to run (hh:mm:ss:SSS).'
});
const COLUMN_MESSAGE = exports.COLUMN_MESSAGE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.messageColumn', {
  defaultMessage: 'Message'
});
const COLUMN_MESSAGE_TOOLTIP = exports.COLUMN_MESSAGE_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.messageColumnTooltip', {
  defaultMessage: 'Relevant message from execution outcome.'
});
const COLUMN_GAP_DURATION = exports.COLUMN_GAP_DURATION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.gapDurationColumn', {
  defaultMessage: 'Gap Duration'
});
const COLUMN_GAP_TOOLTIP_SEE_DOCUMENTATION = exports.COLUMN_GAP_TOOLTIP_SEE_DOCUMENTATION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.gapTooltipSeeDocsDescription', {
  defaultMessage: 'see documentation'
});
const COLUMN_INDEX_DURATION = exports.COLUMN_INDEX_DURATION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.indexDurationColumn', {
  defaultMessage: 'Index Duration'
});
const COLUMN_INDEX_DURATION_TOOLTIP = exports.COLUMN_INDEX_DURATION_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.indexDurationColumnTooltip', {
  defaultMessage: 'The length of time it took to index detected alerts (hh:mm:ss:SSS).'
});
const COLUMN_SEARCH_DURATION = exports.COLUMN_SEARCH_DURATION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.searchDurationColumn', {
  defaultMessage: 'Search Duration'
});
const COLUMN_SEARCH_DURATION_TOOLTIP = exports.COLUMN_SEARCH_DURATION_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.searchDurationColumnTooltip', {
  defaultMessage: 'The length of time it took to search for alerts (hh:mm:ss:SSS).'
});
const COLUMN_SCHEDULING_DELAY = exports.COLUMN_SCHEDULING_DELAY = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.schedulingDelayColumn', {
  defaultMessage: 'Scheduling Delay'
});
const COLUMN_SCHEDULING_DELAY_TOOLTIP = exports.COLUMN_SCHEDULING_DELAY_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.schedulingDelayColumnTooltip', {
  defaultMessage: 'The length of time from rule scheduled till rule executed (hh:mm:ss:SSS).'
});
const COLUMN_ACTIONS = exports.COLUMN_ACTIONS = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionsColumn', {
  defaultMessage: 'Actions'
});
const COLUMN_ACTIONS_TOOLTIP = exports.COLUMN_ACTIONS_TOOLTIP = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionsColumnTooltip', {
  defaultMessage: 'Filter alerts by rule execution ID.'
});
const ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_TITLE = exports.ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionSearchFiltersUpdatedTitle', {
  defaultMessage: 'Global search filters have been updated'
});
const ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_DESCRIPTION = exports.ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_DESCRIPTION = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionSearchFiltersUpdatedDescription', {
  defaultMessage: 'Search filters have been updated to show alerts from selected rule execution'
});
const ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_RESTORE_BUTTON = exports.ACTIONS_SEARCH_FILTERS_HAVE_BEEN_UPDATED_RESTORE_BUTTON = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionSearchFiltersUpdatedRestoreButtonTitle', {
  defaultMessage: 'Restore previous filters'
});
const ACTIONS_FIELD_NOT_FOUND_ERROR_TITLE = exports.ACTIONS_FIELD_NOT_FOUND_ERROR_TITLE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionFieldNotFoundErrorTitle', {
  defaultMessage: 'Unable to filter alerts'
});
const ACTIONS_FIELD_NOT_FOUND_ERROR = exports.ACTIONS_FIELD_NOT_FOUND_ERROR = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.actionFieldNotFoundErrorDescription', {
  defaultMessage: "Cannot find field 'kibana.alert.rule.execution.uuid' in alerts index."
});
const DURATION_NOT_AVAILABLE = exports.DURATION_NOT_AVAILABLE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.durationNotAvailableDescription', {
  defaultMessage: 'N/A'
});
const GREATER_THAN_YEAR = exports.GREATER_THAN_YEAR = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.durationGreaterThanYearDescription', {
  defaultMessage: '> 1 Year'
});
const ROW_DETAILS_MESSAGE = exports.ROW_DETAILS_MESSAGE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.fullMessage', {
  defaultMessage: 'Full message'
});
const EXPAND_ROW = exports.EXPAND_ROW = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.expandRow', {
  defaultMessage: 'Expand rows'
});
const EXPAND = exports.EXPAND = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.expand', {
  defaultMessage: 'Expand'
});
const COLLAPSE = exports.COLLAPSE = _i18n.i18n.translate('xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionLog.collapse', {
  defaultMessage: 'Collapse'
});