"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkToRuleDetails = void 0;
var _react = _interopRequireDefault(require("react"));
var _links = require("../../../common/components/links");
var _use_rule_details_tabs = require("../../../detection_engine/rule_details_ui/pages/rule_details/use_rule_details_tabs");
var _constants = require("../../../../common/constants");
var _redirect_to_detection_engine = require("../../../common/components/link_to/redirect_to_detection_engine");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// This component should be removed and moved to @kbn/securitysolution-exception-list-components
// once all the building components get moved

const LinkToRuleDetailsComponent = ({
  referenceName,
  referenceId,
  external,
  dataTestSubj
}) => {
  return /*#__PURE__*/_react.default.createElement(_links.SecuritySolutionLinkAnchor, {
    "data-test-subj": `linkToRuleSecuritySolutionLink${dataTestSubj !== null && dataTestSubj !== void 0 ? dataTestSubj : ''}`,
    deepLinkId: _constants.SecurityPageName.rules,
    path: (0, _redirect_to_detection_engine.getRuleDetailsTabUrl)(referenceId, _use_rule_details_tabs.RuleDetailTabs.alerts),
    target: external ? '_blank' : undefined
  }, referenceName);
};
LinkToRuleDetailsComponent.displayName = 'LinkToRuleDetailsComponent';
const LinkToRuleDetails = exports.LinkToRuleDetails = /*#__PURE__*/_react.default.memo(LinkToRuleDetailsComponent);
LinkToRuleDetails.displayName = 'LinkToRuleDetails';