"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledTitle = exports.StatValue = exports.MetricItem = exports.FlexItem = exports.FlexGroup = exports.ChartHeight = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ChartHeight = exports.ChartHeight = 120;
const FlexGroup = exports.FlexGroup = (0, _styledComponents.default)(_eui.EuiFlexGroup)`
  .no-margin {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
  }
`;
const FlexItem = exports.FlexItem = (0, _styledComponents.default)(_eui.EuiFlexItem)`
  min-width: 0;
  position: relative;
`;
FlexItem.displayName = 'FlexItem';
const MetricItem = exports.MetricItem = (0, _styledComponents.default)(_eui.EuiFlexItem)`
  &.euiFlexItem {
    flex-basis: 0;
    flex-grow: 0;
  }
`;
MetricItem.displayName = 'MetricItem';
const StatValue = exports.StatValue = (0, _styledComponents.default)(_eui.EuiTitle)`
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
`;
StatValue.displayName = 'StatValue';
const StyledTitle = exports.StyledTitle = _styledComponents.default.h6`
  line-height: 200%;
`;