"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FlowDirectionSelect = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _search_strategy = require("../../../../../common/search_strategy");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FlowDirectionSelect = exports.FlowDirectionSelect = /*#__PURE__*/_react.default.memo(({
  onChangeDirection,
  selectedDirection
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiFilterGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFilterButton, {
  withNext: true,
  hasActiveFilters: selectedDirection === _search_strategy.FlowDirection.uniDirectional,
  onClick: () => onChangeDirection(_search_strategy.FlowDirection.uniDirectional),
  "data-test-subj": _search_strategy.FlowDirection.uniDirectional
}, i18n.UNIDIRECTIONAL), /*#__PURE__*/_react.default.createElement(_eui.EuiFilterButton, {
  hasActiveFilters: selectedDirection === _search_strategy.FlowDirection.biDirectional,
  onClick: () => onChangeDirection(_search_strategy.FlowDirection.biDirectional),
  "data-test-subj": _search_strategy.FlowDirection.biDirectional
}, i18n.BIDIRECTIONAL)));
FlowDirectionSelect.displayName = 'FlowDirectionSelect';