"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useShowRelatedCases = void 0;
var _common = require("../../../../../common");
var _kibana_react = require("../../../../common/lib/kibana/kibana_react");
var _utils = require("../utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Returns true if the user has read privileges for cases, false otherwise
 */
const useShowRelatedCases = ({
  getFieldsData
}) => {
  const {
    cases
  } = (0, _kibana_react.useKibana)().services;
  const isAlert = (0, _utils.getField)(getFieldsData('event.kind')) === 'signal';
  const userCasesPermissions = cases.helpers.canUseCases([_common.APP_ID]);
  return isAlert && userCasesPermissions.read;
};
exports.useShowRelatedCases = useShowRelatedCases;