"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoDataEmptyState = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _eui = require("@elastic/eui");
var _management_empty_state_wrapper = require("../../management_empty_state_wrapper");
var _use_test_id_generator = require("../../../hooks/use_test_id_generator");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EmptyPrompt = (0, _styledComponents.default)(_eui.EuiEmptyPrompt)`
  ${() => (0, _styledComponents.css)`
    max-width: 100%;
  `}
`;
const NoDataEmptyState = exports.NoDataEmptyState = /*#__PURE__*/(0, _react.memo)(({
  onAdd,
  isAddDisabled = false,
  backComponent,
  'data-test-subj': dataTestSubj,
  titleLabel,
  titleNoEntriesLabel,
  aboutInfo,
  primaryButtonLabel,
  secondaryAboutInfo,
  canCreateItems = true
}) => {
  const getTestId = (0, _use_test_id_generator.useTestIdGenerator)(dataTestSubj);
  return /*#__PURE__*/_react.default.createElement(_management_empty_state_wrapper.ManagementEmptyStateWrapper, null, canCreateItems ? /*#__PURE__*/_react.default.createElement(EmptyPrompt, {
    "data-test-subj": dataTestSubj,
    iconType: "plusInCircle",
    title: /*#__PURE__*/_react.default.createElement("h2", {
      "data-test-subj": getTestId('title')
    }, titleLabel),
    body: /*#__PURE__*/_react.default.createElement("div", {
      "data-test-subj": getTestId('aboutInfo')
    }, aboutInfo, secondaryAboutInfo ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
      size: "m"
    }), secondaryAboutInfo) : undefined),
    actions: [/*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
      fill: true,
      isDisabled: isAddDisabled,
      onClick: onAdd,
      "data-test-subj": getTestId('addButton')
    }, primaryButtonLabel), ...(backComponent ? [backComponent] : [])]
  }) : /*#__PURE__*/_react.default.createElement(EmptyPrompt, {
    "data-test-subj": dataTestSubj,
    iconType: "iInCircle",
    title: /*#__PURE__*/_react.default.createElement("h2", {
      "data-test-subj": getTestId('title-no-entries')
    }, titleNoEntriesLabel)
  }));
});
NoDataEmptyState.displayName = 'NoDataEmptyState';