"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConsoleFooter = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _use_with_input_visible_state = require("../hooks/state_selectors/use_with_input_visible_state");
var _use_test_id_generator = require("../../../hooks/use_test_id_generator");
var _use_data_test_subj = require("../hooks/state_selectors/use_data_test_subj");
var _use_with_footer_content = require("../hooks/state_selectors/use_with_footer_content");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConsoleFooter = exports.ConsoleFooter = /*#__PURE__*/(0, _react.memo)(() => {
  const footerContent = (0, _use_with_footer_content.useWithFooterContent)();
  const getTestId = (0, _use_test_id_generator.useTestIdGenerator)((0, _use_data_test_subj.useDataTestSubj)());
  const inputVisibleState = (0, _use_with_input_visible_state.useWithInputVisibleState)();
  const textColor = (0, _react.useMemo)(() => {
    return inputVisibleState === 'error' ? 'danger' : 'subdued';
  }, [inputVisibleState]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    hasShadow: false,
    paddingSize: "none",
    color: "transparent",
    "data-test-subj": getTestId('footer')
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs",
    color: textColor,
    className: "font-style-italic"
  }, footerContent || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, "\xA0")));
});
ConsoleFooter.displayName = 'ConsoleFooter';