"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SidePanelFlexItem = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _eui = require("@elastic/eui");
var _side_panel_content_manager = require("./side_panel_content_manager");
var _use_with_side_panel = require("../../hooks/state_selectors/use_with_side_panel");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const StyledEuiFlexItemWhite = (0, _styledComponents.default)(_eui.EuiFlexItem)`
  background-color: ${({
  theme: {
    eui
  }
}) => eui.euiColorEmptyShade} !important;
  border-radius: ${({
  theme: {
    eui
  }
}) => `0 ${eui.euiSizeXS} ${eui.euiSizeXS} 0`};
  box-shadow: 0 ${({
  theme: {
    eui
  }
}) => eui.euiSizeXS} ${({
  theme: {
    eui
  }
}) => eui.euiSizeXS}
    ${({
  theme: {
    eui
  }
}) => (0, _eui.transparentize)(eui.euiShadowColor, 0.04)};
`;
const SidePanelFlexItem = exports.SidePanelFlexItem = /*#__PURE__*/(0, _react.memo)(props => {
  const isPanelOpened = Boolean((0, _use_with_side_panel.useWithSidePanel)().show);
  if (!isPanelOpened) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(StyledEuiFlexItemWhite, {
    grow: false,
    className: "layout-rightPanel"
  }, /*#__PURE__*/_react.default.createElement(_side_panel_content_manager.SidePanelContentManager, null));
});
SidePanelFlexItem.displayName = 'SidePanelFlexItem';