"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.policyArtifactsPageLabels = void 0;
var _delete_modal = require("./delete_modal");
var _empty = require("./empty");
var _flyout = require("./flyout");
var _layout = require("./layout");
var _list = require("./list");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const policyArtifactsPageLabels = exports.policyArtifactsPageLabels = Object.freeze({
  // ------------------------------
  // POLICY ARTIFACT LAYOUT
  // ------------------------------
  ..._layout.POLICY_ARTIFACT_LAYOUT_LABELS,
  // ------------------------------
  // POLICY ARTIFACT DELETE MODAL
  // ------------------------------
  ..._delete_modal.POLICY_ARTIFACT_DELETE_MODAL_LABELS,
  // ------------------------------
  // POLICY ARTIFACT FLYOUT
  // ------------------------------
  ..._flyout.POLICY_ARTIFACT_FLYOUT_LABELS,
  // ------------------------------
  // POLICY ARTIFACT EMPTY UNASSIGNED
  // ------------------------------
  ..._empty.POLICY_ARTIFACT_EMPTY_UNASSIGNED_LABELS,
  // ------------------------------
  // POLICY ARTIFACT EMPTY UNEXISTING
  // ------------------------------
  ..._empty.POLICY_ARTIFACT_EMPTY_UNEXISTING_LABELS,
  // ------------------------------
  // POLICY ARTIFACT LIST
  // ------------------------------
  ..._list.POLICY_ARTIFACT_LIST_LABELS
});

/**
 * The set of labels that normally have the policy artifact specific name in it, thus must be set for every page
 */