"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AuditdExample = void 0;
var _react = _interopRequireDefault(require("react"));
var _timeline = require("../../../../common/demo_data/timeline");
var _generic_row_renderer = require("../../timeline/body/renderers/auditd/generic_row_renderer");
var _translations = require("../../timeline/body/renderers/auditd/translations");
var _constants = require("../constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AuditdExampleComponent = () => {
  const auditdRowRenderer = (0, _generic_row_renderer.createGenericAuditRowRenderer)({
    actionName: 'connected-to',
    text: _translations.CONNECTED_USING
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, auditdRowRenderer.renderRow({
    data: _timeline.demoTimelineData[26].ecs,
    isDraggable: false,
    scopeId: _constants.ROW_RENDERER_BROWSER_EXAMPLE_TIMELINE_ID
  }));
};
const AuditdExample = exports.AuditdExample = /*#__PURE__*/_react.default.memo(AuditdExampleComponent);