"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultHeaders = exports.defaultColumnHeaderType = void 0;
var _constants = require("../constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const defaultColumnHeaderType = exports.defaultColumnHeaderType = 'not-filtered';
const defaultHeaders = exports.defaultHeaders = [{
  columnHeaderType: defaultColumnHeaderType,
  id: '@timestamp',
  initialWidth: _constants.DEFAULT_DATE_COLUMN_MIN_WIDTH,
  esTypes: ['date'],
  type: 'date'
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'message',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'event.category',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'event.action',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'host.name',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'source.ip',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'destination.ip',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}, {
  columnHeaderType: defaultColumnHeaderType,
  id: 'user.name',
  initialWidth: _constants.DEFAULT_COLUMN_MIN_WIDTH
}];