"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WITH_SPECIAL_PRIVILEGES = exports.VIA = exports.USING_LOGON_TYPE = exports.TO = exports.TARGET_LOGON_ID = exports.SUCCESSFULLY_LOGGED_IN = exports.SUBJECT_LOGON_ID = exports.LOGON_TYPE_UNLOCK = exports.LOGON_TYPE_SERVICE = exports.LOGON_TYPE_REMOTE_INTERACTIVE = exports.LOGON_TYPE_NEW_CREDENTIALS = exports.LOGON_TYPE_NETWORK_CLEARTEXT = exports.LOGON_TYPE_NETWORK = exports.LOGON_TYPE_INTERACTIVE = exports.LOGON_TYPE_CACHED_INTERACTIVE = exports.LOGON_TYPE_BATCH = exports.LOGGED_OFF = exports.FAILED_TO_LOG_OFF = exports.FAILED_TO_LOG_IN = exports.A_LOGIN_WAS_ATTEMPTED_USING_EXPLICIT_CREDENTIALS = exports.AS_REQUESTED_BY_SUBJECT = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const A_LOGIN_WAS_ATTEMPTED_USING_EXPLICIT_CREDENTIALS = exports.A_LOGIN_WAS_ATTEMPTED_USING_EXPLICIT_CREDENTIALS = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.aLoginWasAttemptedUsingExplicitCredentialsDescription', {
  defaultMessage: 'A login was attempted using explicit credentials'
});
const AS_REQUESTED_BY_SUBJECT = exports.AS_REQUESTED_BY_SUBJECT = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.asRequestedBySubjectDescription', {
  defaultMessage: 'as requested by subject'
});
const FAILED_TO_LOG_IN = exports.FAILED_TO_LOG_IN = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endpoint.failedToLogInDescription', {
  defaultMessage: 'failed to log in'
});
const FAILED_TO_LOG_OFF = exports.FAILED_TO_LOG_OFF = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endpoint.failedToLogOffDescription', {
  defaultMessage: 'failed to log off'
});
const LOGGED_OFF = exports.LOGGED_OFF = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.loggedOffDescription', {
  defaultMessage: 'logged off'
});
const LOGON_TYPE_BATCH = exports.LOGON_TYPE_BATCH = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeBatchDescription', {
  defaultMessage: 'Batch'
});
const LOGON_TYPE_CACHED_INTERACTIVE = exports.LOGON_TYPE_CACHED_INTERACTIVE = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeCachedInteractiveDescription', {
  defaultMessage: 'Cached Interactive'
});
const LOGON_TYPE_INTERACTIVE = exports.LOGON_TYPE_INTERACTIVE = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeInteractiveDescription', {
  defaultMessage: 'Interactive'
});
const LOGON_TYPE_NETWORK = exports.LOGON_TYPE_NETWORK = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeNetworkDescription', {
  defaultMessage: 'Network'
});
const LOGON_TYPE_NETWORK_CLEARTEXT = exports.LOGON_TYPE_NETWORK_CLEARTEXT = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeNetworkCleartextDescription', {
  defaultMessage: 'Network Cleartext'
});
const LOGON_TYPE_NEW_CREDENTIALS = exports.LOGON_TYPE_NEW_CREDENTIALS = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeNewCredentialsDescription', {
  defaultMessage: 'New Credentials'
});
const LOGON_TYPE_REMOTE_INTERACTIVE = exports.LOGON_TYPE_REMOTE_INTERACTIVE = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeRemoteInteractiveDescription', {
  defaultMessage: 'Remote Interactive'
});
const LOGON_TYPE_SERVICE = exports.LOGON_TYPE_SERVICE = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeServiceDescription', {
  defaultMessage: 'Service'
});
const LOGON_TYPE_UNLOCK = exports.LOGON_TYPE_UNLOCK = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.logonTypeUnlockDescription', {
  defaultMessage: 'Unlock'
});
const SUBJECT_LOGON_ID = exports.SUBJECT_LOGON_ID = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.subjectLogonIdDescription', {
  defaultMessage: 'subject logon ID'
});
const SUCCESSFULLY_LOGGED_IN = exports.SUCCESSFULLY_LOGGED_IN = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.successfullyLoggedInDescription', {
  defaultMessage: 'successfully logged in'
});
const TARGET_LOGON_ID = exports.TARGET_LOGON_ID = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.targetLogonIdDescription', {
  defaultMessage: 'target logon ID'
});
const TO = exports.TO = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.toDescription', {
  defaultMessage: 'to'
});
const USING_LOGON_TYPE = exports.USING_LOGON_TYPE = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.usingLogonTypeDescription', {
  defaultMessage: 'using logon type'
});
const VIA = exports.VIA = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.viaDescription', {
  defaultMessage: 'via'
});
const WITH_SPECIAL_PRIVILEGES = exports.WITH_SPECIAL_PRIVILEGES = _i18n.i18n.translate('xpack.securitySolution.timeline.body.renderers.endgame.withSpecialPrivilegesDescription', {
  defaultMessage: 'With special privileges,'
});