"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.networkFactory = void 0;
var _security_solution = require("../../../../../common/search_strategy/security_solution");
var _details = require("./details");
var _dns = require("./dns");
var _http = require("./http");
var _overview = require("./overview");
var _tls = require("./tls");
var _top_countries = require("./top_countries");
var _top_n_flow = require("./top_n_flow");
var _users = require("./users");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// TODO: add safer type for the strategy map
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const networkFactory = exports.networkFactory = {
  [_security_solution.NetworkQueries.details]: _details.networkDetails,
  [_security_solution.NetworkQueries.dns]: _dns.networkDns,
  [_security_solution.NetworkQueries.http]: _http.networkHttp,
  [_security_solution.NetworkQueries.overview]: _overview.networkOverview,
  [_security_solution.NetworkQueries.tls]: _tls.networkTls,
  [_security_solution.NetworkQueries.topCountries]: _top_countries.networkTopCountries,
  [_security_solution.NetworkQueries.topNFlowCount]: _top_n_flow.networkTopNFlowCount,
  [_security_solution.NetworkQueries.topNFlow]: _top_n_flow.networkTopNFlow,
  [_security_solution.NetworkQueries.users]: _users.networkUsers
};