"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SloResetConfirmationModal = SloResetConfirmationModal;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function SloResetConfirmationModal({
  slo,
  onCancel,
  onConfirm,
  isLoading
}) {
  const {
    name
  } = slo;
  return /*#__PURE__*/_react.default.createElement(_eui.EuiConfirmModal, {
    buttonColor: "danger",
    "data-test-subj": "sloResetConfirmationModal",
    title: _i18n.i18n.translate('xpack.slo.resetConfirmationModal.title', {
      defaultMessage: 'Reset {name}?',
      values: {
        name
      }
    }),
    cancelButtonText: _i18n.i18n.translate('xpack.slo.resetConfirmationModal.cancelButtonLabel', {
      defaultMessage: 'Cancel'
    }),
    confirmButtonText: _i18n.i18n.translate('xpack.slo.resetConfirmationModal.resetButtonLabel', {
      defaultMessage: 'Reset'
    }),
    onCancel: onCancel,
    onConfirm: onConfirm,
    isLoading: isLoading
  }, _i18n.i18n.translate('xpack.slo.resetConfirmationModal.descriptionText', {
    defaultMessage: 'Resetting this SLO will also regenerate the historical data.'
  }));
}