"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSloCrudLoading = void 0;
var _reactQuery = require("@tanstack/react-query");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useSloCrudLoading = () => {
  const isCreatingSlo = Boolean((0, _reactQuery.useIsMutating)(['creatingSlo']));
  const isUpdatingSlo = Boolean((0, _reactQuery.useIsMutating)(['updatingSlo']));
  const isDeletingSlo = Boolean((0, _reactQuery.useIsMutating)(['deleteSlo']));
  return isCreatingSlo || isUpdatingSlo || isDeletingSlo;
};
exports.useSloCrudLoading = useSloCrudLoading;