"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StackAlertsPublicPlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _rule_types = require("./rule_types");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class StackAlertsPublicPlugin {
  constructor(initializerContext) {
    (0, _defineProperty2.default)(this, "isServerless", void 0);
    this.isServerless = initializerContext.env.packageInfo.buildFlavor === 'serverless';
  }
  setup(core, {
    triggersActionsUi,
    alerting
  }) {
    (0, _rule_types.registerRuleTypes)({
      ruleTypeRegistry: triggersActionsUi.ruleTypeRegistry,
      alerting
    }, this.isServerless);
  }
  start() {}
  stop() {}
}
exports.StackAlertsPublicPlugin = StackAlertsPublicPlugin;