"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefinitionsPopover = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _labels = require("./labels");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const definitionList = [{
  title: _labels.FCP_LABEL,
  description: _labels.FCP_TOOLTIP
}, {
  title: _labels.LCP_LABEL,
  description: _labels.LCP_HELP_LABEL
}, {
  title: _labels.CLS_LABEL,
  description: _labels.CLS_HELP_LABEL
}, {
  title: _labels.DCL_LABEL,
  description: _labels.DCL_TOOLTIP
}];
const DefinitionsPopover = () => {
  const [isPopoverOpen, setIsPopoverOpen] = (0, _react.useState)(false);
  const onButtonClick = () => setIsPopoverOpen(prevPopoverOpen => !prevPopoverOpen);
  const closePopover = () => setIsPopoverOpen(false);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPopover, {
    button: /*#__PURE__*/_react.default.createElement(_eui.EuiButtonEmpty, {
      "data-test-subj": "syntheticsDefinitionsPopoverButton",
      iconType: "list",
      iconSide: "right",
      onClick: onButtonClick
    }, DEFINITIONS_LABEL),
    isOpen: isPopoverOpen,
    closePopover: closePopover,
    anchorPosition: "rightCenter"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiPopoverTitle, null, DEFINITIONS_LABEL), /*#__PURE__*/_react.default.createElement("div", {
    style: {
      width: '350px'
    }
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionList, {
    listItems: definitionList
  })));
};
exports.DefinitionsPopover = DefinitionsPopover;
const DEFINITIONS_LABEL = _i18n.i18n.translate('xpack.synthetics.stepDetailsRoute.definition', {
  defaultMessage: 'Definitions'
});