"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextBasedLanguagesPlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _triggers = require("./triggers");
var _kibana_services = require("./kibana_services");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

class TextBasedLanguagesPlugin {
  constructor() {
    (0, _defineProperty2.default)(this, "indexManagement", void 0);
  }
  setup(_, {
    indexManagement,
    uiActions
  }) {
    this.indexManagement = indexManagement;
    uiActions.registerTrigger(_triggers.updateESQLQueryTrigger);
    return {};
  }
  start(core, {
    dataViews,
    expressions,
    data,
    uiActions
  }) {
    const appendESQLAction = new _triggers.UpdateESQLQueryAction(data);
    uiActions.addTriggerAction(_triggers.UPDATE_ESQL_QUERY_TRIGGER, appendESQLAction);
    (0, _kibana_services.setKibanaServices)(core, dataViews, expressions, this.indexManagement);
  }
  stop() {}
}
exports.TextBasedLanguagesPlugin = TextBasedLanguagesPlugin;