"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  searchStrategyRequestSchema: true
};
exports.searchStrategyRequestSchema = void 0;
var _zod = require("zod");
var _index_fields = require("./index_fields");
Object.keys(_index_fields).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _index_fields[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _index_fields[key];
    }
  });
});
var timelineSchemas = _interopRequireWildcard(require("./timeline/timeline"));
Object.keys(timelineSchemas).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === timelineSchemas[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return timelineSchemas[key];
    }
  });
});
var _timeline_events_queries = require("./model/timeline_events_queries");
Object.keys(_timeline_events_queries).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _timeline_events_queries[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _timeline_events_queries[key];
    }
  });
});
var _runtime_mappings = require("./model/runtime_mappings");
Object.keys(_runtime_mappings).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _runtime_mappings[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _runtime_mappings[key];
    }
  });
});
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const searchStrategyRequestSchema = exports.searchStrategyRequestSchema = _zod.z.discriminatedUnion('factoryQueryType', [timelineSchemas.timelineEventsAllSchema, timelineSchemas.timelineEventsDetailsSchema, timelineSchemas.timelineEventsLastEventTimeRequestSchema, timelineSchemas.timelineKpiRequestOptionsSchema]);