"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateTransformSecondaryAuthHeaders = generateTransformSecondaryAuthHeaders;
exports.isTransformApiKey = isTransformApiKey;
var _mlIsPopulatedObject = require("@kbn/ml-is-populated-object");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function isTransformApiKey(arg) {
  return (0, _mlIsPopulatedObject.isPopulatedObject)(arg, ['api_key', 'encoded']) && typeof arg.encoded === 'string';
}
function generateTransformSecondaryAuthHeaders(apiKeyWithCurrentUserPermission) {
  return isTransformApiKey(apiKeyWithCurrentUserPermission) ? {
    headers: {
      'es-secondary-authorization': `ApiKey ${apiKeyWithCurrentUserPermission.encoded}`
    }
  } : undefined;
}