"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.routeHandler = void 0;
var _error_utils = require("../../utils/error_utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const routeHandler = async (ctx, req, res) => {
  const {
    transformId
  } = req.params;
  try {
    var _req$query$basic;
    const basic = (_req$query$basic = req.query.basic) !== null && _req$query$basic !== void 0 ? _req$query$basic : false;
    const esClient = (await ctx.core).elasticsearch.client;
    const body = await esClient.asCurrentUser.transform.getTransformStats({
      transform_id: transformId,
      // @ts-expect-error `basic` query option not yet in @elastic/elasticsearch
      basic
    }, {
      maxRetries: 0
    });
    return res.ok({
      body
    });
  } catch (e) {
    return res.customError((0, _error_utils.wrapError)((0, _error_utils.wrapEsError)(e)));
  }
};
exports.routeHandler = routeHandler;