"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fieldSupportsBreakdown = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const supportedTypes = new Set(['string', 'boolean', 'number', 'ip']);
const fieldSupportsBreakdown = field => supportedTypes.has(field.type) && field.aggregatable && !field.scripted && field.timeSeriesMetric !== 'counter';
exports.fieldSupportsBreakdown = fieldSupportsBreakdown;