"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CertificateTitle = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _reactRedux = require("react-redux");
var _certificates = require("../../state/certificates/certificates");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CertificateTitle = () => {
  const total = (0, _reactRedux.useSelector)(_certificates.certificatesSelector);
  return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.uptime.certificates.heading",
    defaultMessage: "TLS Certificates ({total})",
    values: {
      total: /*#__PURE__*/_react.default.createElement("span", {
        "data-test-subj": "uptimeCertTotal"
      }, total !== null && total !== void 0 ? total : 0)
    }
  });
};
exports.CertificateTitle = CertificateTitle;