"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocationName = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LocationName = ({
  location
}) => !!location ? /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, location) : /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
  "data-test-subj": "syntheticsLocationNameAddLocationLink",
  href: "https://www.elastic.co/guide/en/beats/heartbeat/current/configuration-observer-options.html",
  target: "_blank"
}, _i18n.i18n.translate('xpack.uptime.locationName.helpLinkAnnotation', {
  defaultMessage: 'Add location',
  description: 'Text that instructs the user to navigate to our docs to add a geographic location to their data'
}));
exports.LocationName = LocationName;