"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TrackApplicationView = exports.ApplicationUsageContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _track_application_view_component = require("./track_application_view_component");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const ApplicationUsageContext = exports.ApplicationUsageContext = /*#__PURE__*/(0, _react.createContext)(undefined);

/**
 * React component to track the number of clicks and minutes on screen of the children components.
 * @param props {@link TrackApplicationViewProps}
 * @constructor
 */
const TrackApplicationView = props => {
  return /*#__PURE__*/_react.default.createElement(ApplicationUsageContext.Consumer, null, value => {
    const propsWithTracker = {
      ...props,
      applicationUsageTracker: value
    };
    return /*#__PURE__*/_react.default.createElement(_track_application_view_component.TrackApplicationViewComponent, propsWithTracker);
  });
};
exports.TrackApplicationView = TrackApplicationView;