"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toExpressionAst = void 0;
var _public = require("@kbn/expressions-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const toExpressionAst = vis => {
  const {
    markdown,
    fontSize,
    openLinksInNewTab
  } = vis.params;
  const markdownVis = (0, _public.buildExpressionFunction)('markdownVis', {
    markdown,
    font: (0, _public.buildExpression)(`font size=${fontSize}`),
    openLinksInNewTab
  });
  const ast = (0, _public.buildExpression)([markdownVis]);
  return ast.toAst();
};
exports.toExpressionAst = toExpressionAst;